# python version 1.0						DO NOT EDIT
#
# Generated by smidump version 0.4.8:
#
#   smidump -f python CISCO-QOS-PIB-MIB

FILENAME = "CISCO-QOS-PIB-MIB"

MIB = {
    "moduleName" : "CISCO-QOS-PIB-MIB",

    "CISCO-QOS-PIB-MIB" : {
        "nodetype" : "module",
        "language" : "SMIv2",
        "organization" :    
            """Cisco Systems Inc.""",
        "contact" : 
            """Cisco Systems
Customer Service

Postal: 170 W Tasman Drive
    San Jose, CA 95134
    USA

Tel: +1 800 553-NETS

E-mail: cs-wbu@cisco.com""",
        "description" :
            """The Cisco QOS Policy PIB for provisioning QOS policy.""",
        "revisions" : (
            {
                "date" : "2007-08-29 00:00",
                "description" :
                    """Add new enum values in QosInterfaceQueueType
textual convention for various queue type.""",
            },
            {
                "date" : "2004-05-03 00:00",
                "description" :
                    """Add new enum value in QosInterfaceQueueType
textual convention for 1p3q8t queue type.""",
            },
            {
                "date" : "2003-02-21 00:00",
                "description" :
                    """Add new enum values in QosInterfaceQueueType
textual convention to indicate queue types
containing priority queue. Add new enum value
in ThresholdSetRange textual convention for
zero threshold.""",
            },
            {
                "date" : "2002-05-02 00:00",
                "description" :
                    """Fix the SYNTAX of Role and RoleCombination.""",
            },
            {
                "date" : "2000-06-16 00:00",
                "description" :
                    """Added QosInterfaceTypeCapabilities textual convention.""",
            },
            {
                "date" : "2000-05-11 00:00",
                "description" :
                    """Initial version of this PIB module.""",
            },
        ),
        "identity node" : "ciscoQosPIBMIB",
    },

    "imports" : (
        {"module" : "SNMPv2-SMI", "name" : "MODULE-IDENTITY"},
        {"module" : "SNMPv2-SMI", "name" : "OBJECT-TYPE"},
        {"module" : "SNMPv2-SMI", "name" : "Counter64"},
        {"module" : "SNMPv2-SMI", "name" : "Unsigned32"},
        {"module" : "SNMPv2-SMI", "name" : "IpAddress"},
        {"module" : "SNMPv2-CONF", "name" : "MODULE-COMPLIANCE"},
        {"module" : "SNMPv2-CONF", "name" : "OBJECT-GROUP"},
        {"module" : "SNMPv2-TC", "name" : "TEXTUAL-CONVENTION"},
        {"module" : "SNMPv2-TC", "name" : "DisplayString"},
        {"module" : "SNMPv2-TC", "name" : "MacAddress"},
        {"module" : "SNMPv2-TC", "name" : "TruthValue"},
        {"module" : "CISCO-SMI", "name" : "ciscoPibToMib"},
    ),

    "typedefs" : {
        "Dscp" : {
            "basetype" : "Integer32",
            "status" : "current",
            "ranges" : [
            {
                "min" : "0",
                "max" : "63"
            },
            ],
            "range" : {
                "min" : "0",
                "max" : "63"
            },
            "description" :
                """An integer that is in the range of the DiffServ codepoint
values.""",
        },
        "QosLayer2Cos" : {
            "basetype" : "Integer32",
            "status" : "current",
            "ranges" : [
            {
                "min" : "0",
                "max" : "7"
            },
            ],
            "range" : {
                "min" : "0",
                "max" : "7"
            },
            "description" :
                """An integer that is in the range of the layer 2 CoS values.
This corresponds to the 802.1p and ISL CoS values.""",
        },
        "QueueRange" : {
            "basetype" : "Enumeration",
            "status" : "current",
            "oneQ" : {
                "nodetype" : "namednumber",
                "number" : "1"
            },
            "twoQ" : {
                "nodetype" : "namednumber",
                "number" : "2"
            },
            "threeQ" : {
                "nodetype" : "namednumber",
                "number" : "3"
            },
            "fourQ" : {
                "nodetype" : "namednumber",
                "number" : "4"
            },
            "eightQ" : {
                "nodetype" : "namednumber",
                "number" : "8"
            },
            "sixteenQ" : {
                "nodetype" : "namednumber",
                "number" : "16"
            },
            "thirtyTwoQ" : {
                "nodetype" : "namednumber",
                "number" : "32"
            },
            "sixtyFourQ" : {
                "nodetype" : "namednumber",
                "number" : "64"
            },
            "description" :
                """An integer that is limited to the number of queues per
interface supported by the PIB.  Limited to 64 which is the
number of codepoints.""",
        },
        "ThresholdSetRange" : {
            "basetype" : "Enumeration",
            "status" : "current",
            "zeroT" : {
                "nodetype" : "namednumber",
                "number" : "0"
            },
            "oneT" : {
                "nodetype" : "namednumber",
                "number" : "1"
            },
            "twoT" : {
                "nodetype" : "namednumber",
                "number" : "2"
            },
            "fourT" : {
                "nodetype" : "namednumber",
                "number" : "4"
            },
            "eightT" : {
                "nodetype" : "namednumber",
                "number" : "8"
            },
            "description" :
                """An integer that is limited to the number of threshold sets
per queue supported by the PIB. A threshold set is a
collection of parameters describing queue threshold.  The
parameters of a threshold set depend on the drop mechanism the
queue implements.  For example, the threshold set for
tail-drop  comprises a single parameter, the percentage of
queue size at which dropping occurs.  The threshold set for
WRED comprises two parameters; within the range of the two
parameters packets are randomly dropped.""",
        },
        "Percent" : {
            "basetype" : "Integer32",
            "status" : "current",
            "ranges" : [
            {
                "min" : "0",
                "max" : "100"
            },
            ],
            "range" : {
                "min" : "0",
                "max" : "100"
            },
            "description" :
                """An integer that is in the range of a percent value.""",
        },
        "QosInterfaceQueueType" : {
            "basetype" : "Enumeration",
            "status" : "current",
            "oneQ1t" : {
                "nodetype" : "namednumber",
                "number" : "1"
            },
            "oneQ2t" : {
                "nodetype" : "namednumber",
                "number" : "2"
            },
            "oneQ4t" : {
                "nodetype" : "namednumber",
                "number" : "3"
            },
            "oneQ8t" : {
                "nodetype" : "namednumber",
                "number" : "4"
            },
            "twoQ1t" : {
                "nodetype" : "namednumber",
                "number" : "5"
            },
            "twoQ2t" : {
                "nodetype" : "namednumber",
                "number" : "6"
            },
            "twoQ4t" : {
                "nodetype" : "namednumber",
                "number" : "7"
            },
            "twoQ8t" : {
                "nodetype" : "namednumber",
                "number" : "8"
            },
            "threeQ1t" : {
                "nodetype" : "namednumber",
                "number" : "9"
            },
            "threeQ2t" : {
                "nodetype" : "namednumber",
                "number" : "10"
            },
            "threeQ4t" : {
                "nodetype" : "namednumber",
                "number" : "11"
            },
            "threeQ8t" : {
                "nodetype" : "namednumber",
                "number" : "12"
            },
            "fourQ1t" : {
                "nodetype" : "namednumber",
                "number" : "13"
            },
            "fourQ2t" : {
                "nodetype" : "namednumber",
                "number" : "14"
            },
            "fourQ4t" : {
                "nodetype" : "namednumber",
                "number" : "15"
            },
            "fourQ8t" : {
                "nodetype" : "namednumber",
                "number" : "16"
            },
            "eightQ1t" : {
                "nodetype" : "namednumber",
                "number" : "17"
            },
            "eightQ2t" : {
                "nodetype" : "namednumber",
                "number" : "18"
            },
            "eightQ4t" : {
                "nodetype" : "namednumber",
                "number" : "19"
            },
            "eightQ8t" : {
                "nodetype" : "namednumber",
                "number" : "20"
            },
            "sixteenQ1t" : {
                "nodetype" : "namednumber",
                "number" : "21"
            },
            "sixteenQ2t" : {
                "nodetype" : "namednumber",
                "number" : "22"
            },
            "sixteenQ4t" : {
                "nodetype" : "namednumber",
                "number" : "23"
            },
            "sixtyfourQ1t" : {
                "nodetype" : "namednumber",
                "number" : "24"
            },
            "sixtyfourQ2t" : {
                "nodetype" : "namednumber",
                "number" : "25"
            },
            "sixtyfourQ4t" : {
                "nodetype" : "namednumber",
                "number" : "26"
            },
            "oneP1Q0t" : {
                "nodetype" : "namednumber",
                "number" : "27"
            },
            "oneP1Q4t" : {
                "nodetype" : "namednumber",
                "number" : "28"
            },
            "oneP1Q8t" : {
                "nodetype" : "namednumber",
                "number" : "29"
            },
            "oneP2Q1t" : {
                "nodetype" : "namednumber",
                "number" : "30"
            },
            "oneP2Q2t" : {
                "nodetype" : "namednumber",
                "number" : "31"
            },
            "oneP3Q1t" : {
                "nodetype" : "namednumber",
                "number" : "32"
            },
            "oneP7Q8t" : {
                "nodetype" : "namednumber",
                "number" : "33"
            },
            "oneP3Q8t" : {
                "nodetype" : "namednumber",
                "number" : "34"
            },
            "sixteenQ8t" : {
                "nodetype" : "namednumber",
                "number" : "35"
            },
            "oneP15Q8t" : {
                "nodetype" : "namednumber",
                "number" : "36"
            },
            "oneP15Q1t" : {
                "nodetype" : "namednumber",
                "number" : "37"
            },
            "oneP7Q1t" : {
                "nodetype" : "namednumber",
                "number" : "38"
            },
            "oneP31Q1t" : {
                "nodetype" : "namednumber",
                "number" : "39"
            },
            "thirtytwoQ1t" : {
                "nodetype" : "namednumber",
                "number" : "40"
            },
            "thirtytwoQ8t" : {
                "nodetype" : "namednumber",
                "number" : "41"
            },
            "oneP31Q8t" : {
                "nodetype" : "namednumber",
                "number" : "42"
            },
            "oneP7Q4t" : {
                "nodetype" : "namednumber",
                "number" : "43"
            },
            "oneP3Q4t" : {
                "nodetype" : "namednumber",
                "number" : "44"
            },
            "oneP7Q2t" : {
                "nodetype" : "namednumber",
                "number" : "45"
            },
            "description" :
                """An enumerated type for all the known interface types.  The
interface types are currently limited to a predefined
combination of queues and thresholds such that the product of
queues and thresholds does not exceed 64 (i.e., the total
number of DSCPs.""",
        },
        "QosInterfaceTypeCapabilities" : {
            "basetype" : "Bits",
            "status" : "current",
            "unspecified" : {
                "nodetype" : "namednumber",
                "number" : "0"
            },
            "inputL2Classification" : {
                "nodetype" : "namednumber",
                "number" : "1"
            },
            "inputIpClassification" : {
                "nodetype" : "namednumber",
                "number" : "2"
            },
            "outputL2Classification" : {
                "nodetype" : "namednumber",
                "number" : "3"
            },
            "outputIpClassification" : {
                "nodetype" : "namednumber",
                "number" : "4"
            },
            "inputUflowPolicing" : {
                "nodetype" : "namednumber",
                "number" : "5"
            },
            "inputAggregatePolicing" : {
                "nodetype" : "namednumber",
                "number" : "6"
            },
            "outputUflowPolicing" : {
                "nodetype" : "namednumber",
                "number" : "7"
            },
            "outputAggregatePolicing" : {
                "nodetype" : "namednumber",
                "number" : "8"
            },
            "policeByMarkingDown" : {
                "nodetype" : "namednumber",
                "number" : "9"
            },
            "policeByDropping" : {
                "nodetype" : "namednumber",
                "number" : "10"
            },
            "fifo" : {
                "nodetype" : "namednumber",
                "number" : "11"
            },
            "wrr" : {
                "nodetype" : "namednumber",
                "number" : "12"
            },
            "wfq" : {
                "nodetype" : "namednumber",
                "number" : "13"
            },
            "cq" : {
                "nodetype" : "namednumber",
                "number" : "14"
            },
            "pq" : {
                "nodetype" : "namednumber",
                "number" : "15"
            },
            "cbwfq" : {
                "nodetype" : "namednumber",
                "number" : "16"
            },
            "tailDrop" : {
                "nodetype" : "namednumber",
                "number" : "17"
            },
            "wred" : {
                "nodetype" : "namednumber",
                "number" : "18"
            },
            "inputPortClassification" : {
                "nodetype" : "namednumber",
                "number" : "19"
            },
            "outputPortClassification" : {
                "nodetype" : "namednumber",
                "number" : "20"
            },
            "inputUflowShaping" : {
                "nodetype" : "namednumber",
                "number" : "21"
            },
            "inputAggregateShaping" : {
                "nodetype" : "namednumber",
                "number" : "22"
            },
            "outputUflowShaping" : {
                "nodetype" : "namednumber",
                "number" : "23"
            },
            "outputAggregateShaping" : {
                "nodetype" : "namednumber",
                "number" : "24"
            },
            "pqWrr" : {
                "nodetype" : "namednumber",
                "number" : "25"
            },
            "pqCbwfq" : {
                "nodetype" : "namednumber",
                "number" : "26"
            },
            "description" :
                """An enumeration of interface capabilities.  Used by the PDP to
select policies and configuration to push to the PEP.""",
        },
        "RoleCombination" : {
            "basetype" : "OctetString",
            "status" : "current",
            "ranges" : [
            {
                "min" : "0",
                "max" : "255"
            },
            ],
            "range" : {
                "min" : "0",
                "max" : "255"
            },
            "description" :
                """A Display string consisting of a set of roles concatenated
with a '+' character where the roles are in lexicographic
order from minimum to maximum.""",
        },
        "PolicyInstanceId" : {
            "basetype" : "Unsigned32",
            "status" : "current",
            "description" :
                """A textual convention for an attribute that is an an
unsigned integer index attribute of class.  It is used for
attributes that exist for the purpose of providing an integer
index of an instance.

For any integer index that refers to another policy instance,
that other policy instance must exist. Furthermore, it is an
error to try to delete a policy instance that is referred to by
another instance without first deleting the referring
instance.""",
        },
        "Unsigned64" : {
            "basetype" : "Unsigned64",
            "status" : "current",
            "parent module" : {
                "name" : "SNMPv2-SMI",
                "type" : "Counter64",
            },
            "description" :
                """An unsigned 64 bit integer. We use SYNTAX Counter64 for the
enconding rules.""",
        },
    }, # typedefs

    "nodes" : {
        "ciscoQosPIBMIB" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1",
            "status" : "current",
        }, # node
        "qosPIBConformance" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.1",
        }, # node
        "qosPIBCompliances" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.1.1",
        }, # node
        "qosPIBGroups" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.1.2",
        }, # node
        "qosDeviceConfig" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.2",
        }, # node
        "qosDevicePibIncarnationTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.2.1",
            "status" : "current",
            "description" :
                """This class contains a single policy instance that identifies
the current incarnation of the PIB and the PDP that installed
this incarnation.  The instance of this class is reported to
the PDP at client connect time so that the PDP can (attempt
to) ascertain the current state of the PIB.""",
        }, # table
        "qosDevicePibIncarnationEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.2.1.1",
            "status" : "current",
            "linkage" : [
                "qosDeviceIncarnationId",
            ],
            "description" :
                """The single policy instance of this class identifies the
current incarnation of the PIB and the PDP that installed
this incarnation.""",
        }, # row
        "qosDeviceIncarnationId" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.2.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "PolicyInstanceId"},
            },
            "access" : "noaccess",
            "description" :
                """An integer index to identify the instance of the policy class.""",
        }, # column
        "qosDevicePdpName" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.2.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "DisplayString"},
            },
            "access" : "readonly",
            "description" :
                """The name of the PDP that installed the current incarnation of
the PIB into the device.  By default it is the zero length
string.""",
        }, # column
        "qosDevicePibIncarnation" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.2.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "ranges" : [
                    {
                        "min" : "128",
                        "max" : "128"
                    },
                    ],
                    "range" : {
                        "min" : "128",
                        "max" : "128"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """An octet string to identify the current incarnation.  It has
meaning to the PDP that installed the PIB and perhaps its
standby PDPs. By default the empty string.""",
        }, # column
        "qosDevicePibTtl" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.2.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "description" :
                """The number of seconds after a client close or TCP timeout for
which the PEP continues to enforce the policy in the PIB.
After this interval, the PIB is consired expired and the
device no longer enforces the policy installed in the PIB.""",
        }, # column
        "qosDeviceAttributeTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.2.2",
            "status" : "current",
            "description" :
                """The single instance of this class indicates specific
attributes of the device.  These include configuration values
such as the configured PDP addresses, the maximum message
size, and specific device capabilities.  The latter include
input port-based and output port-based classification and/or
policing, support for flow based policing, aggregate based
policing, traffic shaping capabilities, etc.""",
        }, # table
        "qosDeviceAttributeEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.2.2.1",
            "status" : "current",
            "linkage" : [
                "qosDeviceAttributeId",
            ],
            "description" :
                """The single instance of this class indicates specific
attributes of the device.""",
        }, # row
        "qosDeviceAttributeId" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.2.2.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "PolicyInstanceId"},
            },
            "access" : "noaccess",
            "description" :
                """An integer index to identify the instance of the policy class.""",
        }, # column
        "qosDevicePepDomain" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.2.2.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "DisplayString"},
            },
            "access" : "readonly",
            "description" :
                """The QoS domain that this device belongs to.  This is
configured locally on the device (perhaps by some management
protocol such as SNMP).  By default, it is the zero-length
string.""",
        }, # column
        "qosDevicePrimaryPdp" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.2.2.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "IpAddress"},
            },
            "access" : "readonly",
            "description" :
                """The address of the PDP configured to be the primary PDP for
the device.""",
        }, # column
        "qosDeviceSecondaryPdp" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.2.2.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "IpAddress"},
            },
            "access" : "readonly",
            "description" :
                """The address of the PDP configured to be the secondary PDP for
the device.  An address of zero indicates no secondary is
configured.""",
        }, # column
        "qosDeviceMaxMessageSize" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.2.2.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "description" :
                """The maximum size message that this PEP is capable of
receiving in bytes.  A value of zero means that the maximum
message size is unspecified (but does not mean it is
unlimited).  A message greater than this maximum results in a
MessageTooBig error on a 'no commit' REP.""",
        }, # column
        "qosDeviceCapabilities" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.2.2.1.6",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Bits",
                    "unspecified" : {
                        "nodetype" : "namednumber",
                        "number" : "0"
                    },
                    "layer2Cos" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "ipPrecedence" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "dscp" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """An enumeration of device capabilities.  Used by the PDP to
select policies and configuration to push to the PEP.""",
        }, # column
        "qosInterfaceTypeTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.2.3",
            "status" : "current",
            "description" :
                """This class describes the interface types of the interfaces
that exist on the device.  It includes the queue type, role
combination and capabilities of interfaces.  The PEP does not
report which specific interfaces have which characteristics.""",
        }, # table
        "qosInterfaceTypeEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.2.3.1",
            "status" : "current",
            "linkage" : [
                "qosInterfaceTypeId",
            ],
            "description" :
                """An instance of this class describes a role combination for
an interface type of an interface that exists on the device.""",
        }, # row
        "qosInterfaceTypeId" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.2.3.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "PolicyInstanceId"},
            },
            "access" : "noaccess",
            "description" :
                """An integer index to identify the instance of the policy class.""",
        }, # column
        "qosInterfaceQueueType" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.2.3.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "QosInterfaceQueueType"},
            },
            "access" : "readonly",
            "description" :
                """The interface type in terms of number of queues and
thresholds.""",
        }, # column
        "qosInterfaceTypeRoles" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.2.3.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "RoleCombination"},
            },
            "access" : "readonly",
            "description" :
                """A combination of roles on at least one interface of type
qosInterfaceType.""",
        }, # column
        "qosInterfaceTypeCapabilities" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.2.3.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "QosInterfaceTypeCapabilities"},
            },
            "access" : "readonly",
            "description" :
                """An enumeration of interface capabilities.  Used by the PDP to
select policies and configuration to push to the PEP.""",
        }, # column
        "qosDomainConfig" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.3",
        }, # node
        "qosDiffServMappingTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.3.1",
            "status" : "current",
            "description" :
                """Maps each DSCP to a marked-down DSCP.  Also maps each DSCP to
an IP precedence and QosLayer2Cos.  When configured for the
first time, all 64 entries of the table must be
specified. Thereafter, instances may be modified (with a
delete and install in a single decision) but not deleted
unless all instances are deleted.""",
        }, # table
        "qosDiffServMappingEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.3.1.1",
            "status" : "current",
            "linkage" : [
                "qosDscp",
            ],
            "description" :
                """An instance of this class represents mappings from a DSCP.""",
        }, # row
        "qosDscp" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.3.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "Dscp"},
            },
            "access" : "noaccess",
            "description" :
                """A DSCP for which this entry contains mappings.""",
        }, # column
        "qosMarkedDscp" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.3.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "Dscp"},
            },
            "access" : "readonly",
            "description" :
                """The DSCP to use instead of the qosDscp when the packet is out
of profile and hence marked as such.""",
        }, # column
        "qosL2Cos" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.3.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "QosLayer2Cos"},
            },
            "access" : "readonly",
            "description" :
                """The L2 CoS value to use when mapping this DSCP to layer 2
CoS.""",
        }, # column
        "qosCosToDscpTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.3.2",
            "status" : "current",
            "description" :
                """Maps each of eight CoS values to a DSCP.  When configured for
the first time, all 8 entries of the table must be
specified. Thereafter, instances may be modified (with a
delete and install in a single decision) but not deleted
unless all instances are deleted.""",
        }, # table
        "qosCosToDscpEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.3.2.1",
            "status" : "current",
            "linkage" : [
                "qosCosToDscpCos",
            ],
            "description" :
                """An instance of this class maps a CoS value to a DSCP.""",
        }, # row
        "qosCosToDscpCos" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.3.2.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "QosLayer2Cos"},
            },
            "access" : "noaccess",
            "description" :
                """The L2 CoS value that is being mapped.""",
        }, # column
        "qosCosToDscpDscp" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.3.2.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "Dscp"},
            },
            "access" : "readonly",
            "description" :
                """The DSCP value to use when mapping the L2 CoS to a DSCP.""",
        }, # column
        "qosUnmatchedPolicy" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.4",
        }, # node
        "qosUnmatchedPolicyTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.4.1",
            "status" : "current",
            "description" :
                """A policy class that specifies what QoS to apply to a packet
that does not match any other policy configured for this role
combination for a particular direction of traffic.""",
        }, # table
        "qosUnmatchedPolicyEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.4.1.1",
            "status" : "current",
            "linkage" : [
                "qosUnmatchedPolicyId",
            ],
            "description" :
                """An instance of this class specifies the unmatched policy
for a particular role combination for incoming or outgoing
traffic.""",
        }, # row
        "qosUnmatchedPolicyId" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.4.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "PolicyInstanceId"},
            },
            "access" : "noaccess",
            "description" :
                """An integer index to identify the instance of the policy class.""",
        }, # column
        "qosUnmatchedPolicyRole" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.4.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "RoleCombination"},
            },
            "access" : "readonly",
            "description" :
                """Role combination for which this instance applies.""",
        }, # column
        "qosUnmatchedPolicyDirection" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.4.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "in" : {
                        "nodetype" : "namednumber",
                        "number" : "0"
                    },
                    "out" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The direction of packet flow at the interface in question to
which this instance applies.""",
        }, # column
        "qosUnmatchedPolicyDscp" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.4.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "Dscp"},
            },
            "access" : "readonly",
            "description" :
                """The DSCP to classify the unmatched packet with.  This must be
specified even if qosUnmatchedPolicyDscpTrusted is true.""",
        }, # column
        "qosUnmatchedPolicyDscpTrusted" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.4.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readonly",
            "description" :
                """If this attribute is true, then the Dscp associated with the
packet is trusted, i.e., it is assumed to have already been
set.  In this case, the Dscp is not rewritten with
qosUnmatchedPolicyDscp (qosUnmatchedPolicyDscp is ignored)
unless this is a non-IP packet and arrives untagged.  The
packet is still policed as part of its micro flow and its
aggregate flow.

When a trusted action is applied to an input interface, the
Dscp (for an IP packet) or CoS (for a non-IP packet)
associated with the packet is the one contained in the packet.
When a trusted action is applied to an output interface, the
Dscp associated with the packet is the one that is the result
of the input classification and policing.""",
        }, # column
        "qosUnmatchPolMicroFlowPolicerId" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.4.1.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "PolicyInstanceId"},
            },
            "access" : "readonly",
            "description" :
                """An index identifying the instance of policer to apply to
unmatched packets.  It must correspond to the integer index of
an instance of class qosPolicerTable or be zero.  If zero, the
microflow is not policed.""",
        }, # column
        "qosUnmatchedPolicyAggregateId" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.4.1.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "PolicyInstanceId"},
            },
            "access" : "readonly",
            "description" :
                """An index identifying the aggregate that the packet belongs
to.  It must correspond to the integer index of an instance of
class qosAggregateTable or be zero.  If zero, the microflow
does not belong to any aggregate and is not policed as part of
any aggregate.""",
        }, # column
        "qosPolicer" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.5",
        }, # node
        "qosPolicerTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.5.1",
            "status" : "current",
            "description" :
                """A class specifying policing parameters for both microflows
and aggregate flows.  This table is designed for policing
according to a token bucket scheme where an average rate and
burst size is specified.""",
        }, # table
        "qosPolicerEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.5.1.1",
            "status" : "current",
            "linkage" : [
                "qosPolicerId",
            ],
            "description" :
                """An instance of this class specifies a set of policing
parameters.""",
        }, # row
        "qosPolicerId" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.5.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "PolicyInstanceId"},
            },
            "access" : "noaccess",
            "description" :
                """An integer index to identify the instance of the policy class.""",
        }, # column
        "qosPolicerRate" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.5.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "Unsigned64"},
            },
            "access" : "readonly",
            "description" :
                """The token rate.  It is specified in units of bit/s. A rate of
zero means that all packets will be out of profile.  If the
qosPolicerAction is set to drop then this effectively
denies any service to packets policed by this policer.""",
        }, # column
        "qosPolicerNormalBurst" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.5.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "description" :
                """The normal size of a burst in terms of bits.""",
        }, # column
        "qosPolicerExcessBurst" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.5.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "description" :
                """The excess size of a burst in terms of bits.""",
        }, # column
        "qosPolicerAction" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.5.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "drop" : {
                        "nodetype" : "namednumber",
                        "number" : "0"
                    },
                    "mark" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "shape" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """An indication of how to handle out of profile packets.  When
the shape action is chosen then traffic is shaped to the rate
specified by qosPolicerRate.""",
        }, # column
        "qosAggregateTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.5.2",
            "status" : "current",
            "description" :
                """Instances of this class identify aggregate flows and the
policer to apply to each.""",
        }, # table
        "qosAggregateEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.5.2.1",
            "status" : "current",
            "linkage" : [
                "qosAggregateId",
            ],
            "description" :
                """An instance of this class specifies the policer to apply to
an aggregate flow.""",
        }, # row
        "qosAggregateId" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.5.2.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "PolicyInstanceId"},
            },
            "access" : "noaccess",
            "description" :
                """An integer index to identify the instance of the policy class.""",
        }, # column
        "qosAggregatePolicerId" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.5.2.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "PolicyInstanceId"},
            },
            "access" : "readonly",
            "description" :
                """An index identifying the instance of policer to apply to the
aggregate.  It must correspond to the integer index of an
instance of class qosPolicerTable.""",
        }, # column
        "qosMacQos" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.6",
        }, # node
        "qosMacClassificationTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.6.1",
            "status" : "current",
            "description" :
                """A class of MAC/Vlan tuples and their associated CoS values.""",
        }, # table
        "qosMacClassificationEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.6.1.1",
            "status" : "current",
            "linkage" : [
                "qosMacClassificationId",
            ],
            "description" :
                """An instance of this class specifies the mapping of a VLAN
and a MAC address to a CoS value.""",
        }, # row
        "qosMacClassificationId" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.6.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "PolicyInstanceId"},
            },
            "access" : "noaccess",
            "description" :
                """An integer index to identify the instance of the policy class.""",
        }, # column
        "qosDstMacVlan" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.6.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "4095"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "4095"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The VLAN of the destination MAC address of the L2 frame.""",
        }, # column
        "qosDstMacAddress" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.6.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "MacAddress"},
            },
            "access" : "readonly",
            "description" :
                """The destination MAC address of the L2 frame.""",
        }, # column
        "qosDstMacCos" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.6.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "QosLayer2Cos"},
            },
            "access" : "readonly",
            "description" :
                """The CoS to assign the packet with the associated MAC/VLAN
tuple.  Note that this CoS is overridden by the policies to
classify the frame at layer 3 if there are any.""",
        }, # column
        "qosIpQos" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.7",
        }, # node
        "qosIpAceTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.7.1",
            "status" : "current",
            "description" :
                """ACE definitions.""",
        }, # table
        "qosIpAceEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.7.1.1",
            "status" : "current",
            "linkage" : [
                "qosIpAceId",
            ],
            "description" :
                """An instance of this class specifies an ACE.""",
        }, # row
        "qosIpAceId" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.7.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "PolicyInstanceId"},
            },
            "access" : "noaccess",
            "description" :
                """An integer index to identify the instance of the policy class.""",
        }, # column
        "qosIpAceDstAddr" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.7.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "IpAddress"},
            },
            "access" : "readonly",
            "description" :
                """The IP address to match against the packet's destination IP
address.""",
        }, # column
        "qosIpAceDstAddrMask" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.7.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "IpAddress"},
            },
            "access" : "readonly",
            "description" :
                """A mask for the matching of the destination IP address.""",
        }, # column
        "qosIpAceSrcAddr" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.7.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "IpAddress"},
            },
            "access" : "readonly",
            "description" :
                """The IP address to match against the packet's source IP
address.""",
        }, # column
        "qosIpAceSrcAddrMask" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.7.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "IpAddress"},
            },
            "access" : "readonly",
            "description" :
                """A mask for the matching of the source IP address.""",
        }, # column
        "qosIpAceDscpMin" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.7.1.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "Dscp"},
            },
            "access" : "readonly",
            "description" :
                """The minimum value that the DSCP in the packet can have and
match this ACE.""",
        }, # column
        "qosIpAceDscpMax" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.7.1.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "Dscp"},
            },
            "access" : "readonly",
            "description" :
                """The maximum value that the DSCP in the packet can have and
match this ACE.""",
        }, # column
        "qosIpAceProtocol" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.7.1.1.8",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "255"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "255"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The IP protocol to match against the packet's protocol.
A value of zero means match all.""",
        }, # column
        "qosIpAceDstL4PortMin" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.7.1.1.9",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The minimum value that the packet's layer 4 dest port number
can have and match this ACE.""",
        }, # column
        "qosIpAceDstL4PortMax" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.7.1.1.10",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The maximum value that the packet's layer 4 dest port number
can have and match this ACE.""",
        }, # column
        "qosIpAceSrcL4PortMin" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.7.1.1.11",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The minimum value that the packet's layer 4 source port
number can have and match this ACE.""",
        }, # column
        "qosIpAceSrcL4PortMax" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.7.1.1.12",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The maximum value that the packet's layer 4 source port
number can have and match this ACE.""",
        }, # column
        "qosIpAcePermit" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.7.1.1.13",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readonly",
            "description" :
                """If the packet matches this ACE and the value of this attribute
is true, then the matching process terminates and the QoS
associated with this ACE (indirectly through the ACL) is
applied to the packet.  If the value of this attribute is false,
then no more ACEs in this ACL are compared to this packet and
matching continues with the first ACE of the next ACL.""",
        }, # column
        "qosIpAclDefinitionTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.7.2",
            "status" : "current",
            "description" :
                """A class that defines a set of ACLs each being an ordered list
of ACEs.""",
        }, # table
        "qosIpAclDefinitionEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.7.2.1",
            "status" : "current",
            "linkage" : [
                "qosIpAclDefinitionId",
            ],
            "description" :
                """An instance of this class specifies an ACE in an ACL and its
order with respect to other ACEs in the same ACL.""",
        }, # row
        "qosIpAclDefinitionId" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.7.2.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "PolicyInstanceId"},
            },
            "access" : "noaccess",
            "description" :
                """An integer index to identify the instance of the policy class.""",
        }, # column
        "qosIpAclId" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.7.2.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "PolicyInstanceId"},
            },
            "access" : "readonly",
            "description" :
                """An index for this ACL.  There will be one instance of
policy class qosIpAclDefinition with this integer index for
each ACE in the ACL per role combination.""",
        }, # column
        "qosIpAceOrder" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.7.2.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "description" :
                """An integer that determines the position of this ACE in the ACL.
An ACE with a given order is positioned in the access contol
list before one with a higher order.""",
        }, # column
        "qosIpAclDefAceId" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.7.2.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "PolicyInstanceId"},
            },
            "access" : "readonly",
            "description" :
                """This attribute specifies the ACE in the qosIpAceTable that is
in the ACL specified by qosIpAclId at the position specified
by qosIpAceOrder.""",
        }, # column
        "qosIpAclActionTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.7.3",
            "status" : "current",
            "description" :
                """A class that applies a set of ACLs to interfaces specifying,
for each interface the order of the ACL with respect to other
ACLs applied to the same interface and, for each ACL the
action to take for a packet that matches a permit ACE in that
ACL.  Interfaces are specified abstractly in terms of
interface role combinations.""",
        }, # table
        "qosIpAclActionEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.7.3.1",
            "status" : "current",
            "linkage" : [
                "qosIpAclActionId",
            ],
            "description" :
                """An instance of this class applies an ACL to traffic in a
particular direction on an interface with a particular role
combination, and specifies the action for packets which match
the ACL.""",
        }, # row
        "qosIpAclActionId" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.7.3.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "PolicyInstanceId"},
            },
            "access" : "noaccess",
            "description" :
                """An integer index to identify the instance of the policy class.""",
        }, # column
        "qosIpAclActAclId" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.7.3.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "PolicyInstanceId"},
            },
            "access" : "readonly",
            "description" :
                """The ACL associated with this action.""",
        }, # column
        "qosIpAclInterfaceRoles" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.7.3.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "RoleCombination"},
            },
            "access" : "readonly",
            "description" :
                """The interfaces to which this ACL applies specified in terms
of a set of roles.""",
        }, # column
        "qosIpAclInterfaceDirection" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.7.3.1.4",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "in" : {
                        "nodetype" : "namednumber",
                        "number" : "0"
                    },
                    "out" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The direction of packet flow at the interface in question to
which this ACL applies.""",
        }, # column
        "qosIpAclOrder" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.7.3.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "description" :
                """An integer that determines the order of this ACL in the list
of ACLs applied to interfaces of the specified role
combination. An ACL with a given order is positioned in the
list before one with a higher order.""",
        }, # column
        "qosIpAclDscp" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.7.3.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "Dscp"},
            },
            "access" : "readonly",
            "description" :
                """The DSCP to classify the packet with in the event that the
packet matches an ACE in this ACL and the ACE is a permit.""",
        }, # column
        "qosIpAclDscpTrusted" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.7.3.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readonly",
            "description" :
                """If this attribute is true, then the Dscp associated with
the packet is trusted, i.e., it is assumed to have already
been set.  In this case, the Dscp is not rewritten with
qosIpAclDscp (qosIpAclDscp is ignored).  The packet is still
policed as part of its micro flow and its aggregate flow.

When a trusted action is applied to an input interface, the
Dscp associated with the packet is the one contained in the
packet.  When a trusted action is applied to an output
interface, the Dscp associated with the packet is the one that
is the result of the input classification and policing.""",
        }, # column
        "qosIpAclMicroFlowPolicerId" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.7.3.1.8",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "PolicyInstanceId"},
            },
            "access" : "readonly",
            "description" :
                """An index identifying the instance of policer to apply to the
microflow.  It must correspond to the integer index of an
instance of class qosPolicerTableor be zero.  If zero, the
microflow is not policed.""",
        }, # column
        "qosIpAclAggregateId" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.7.3.1.9",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "PolicyInstanceId"},
            },
            "access" : "readonly",
            "description" :
                """An index identifying the aggregate that the packet belongs
to.  It must correspond to the integer index of an instance of
class qosAggregateTable or be zero.  If zero, the microflow
does not belong to any aggregate and is not policed as part of
any aggregate.""",
        }, # column
        "qosIfParameters" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8",
        }, # node
        "qosIfSchedulingPreferencesTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.1",
            "status" : "current",
            "description" :
                """This class specifies the scheduling preference an interface
chooses if it supports multiple scheduling types.  Higher
values are preferred over lower values.""",
        }, # table
        "qosIfSchedulingPreferenceEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.1.1",
            "status" : "current",
            "linkage" : [
                "qosIfSchedulingPreferenceId",
            ],
            "description" :
                """An instance of this class specifies a scheduling preference
for a queue-type on an interface with a particular role
combination.""",
        }, # row
        "qosIfSchedulingPreferenceId" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "PolicyInstanceId"},
            },
            "access" : "noaccess",
            "description" :
                """An integer index to identify the instance of the policy class.""",
        }, # column
        "qosIfSchedulingRoles" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "RoleCombination"},
            },
            "access" : "readonly",
            "description" :
                """The combination of roles the interface must have for this
policy instance to apply to that interface.""",
        }, # column
        "qosIfSchedulingPreference" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "16"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "16"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The preference to use this scheduling discipline and queue
type.  A higher value means a higher preference.  If two
disciplines have the same preference the choice is a local
decision.""",
        }, # column
        "qosIfSchedulingDiscipline" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "weightedFairQueueing" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "weightedRoundRobin" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "customQueueing" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "priorityQueueing" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "classBasedWFQ" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                    "fifo" : {
                        "nodetype" : "namednumber",
                        "number" : "6"
                    },
                    "pqWrr" : {
                        "nodetype" : "namednumber",
                        "number" : "7"
                    },
                    "pqCbwfq" : {
                        "nodetype" : "namednumber",
                        "number" : "8"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """An enumerate type for all the known scheduling disciplines.""",
        }, # column
        "qosIfSchedulingQueueType" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "QosInterfaceQueueType"},
            },
            "access" : "readonly",
            "description" :
                """The queue type of this preference.""",
        }, # column
        "qosIfDropPreferenceTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.2",
            "status" : "current",
            "description" :
                """This class specifies the preference of the drop mechanism an
interface chooses if it supports multiple drop mechanisms.
Higher values are preferred over lower values.""",
        }, # table
        "qosIfDropPreferenceEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.2.1",
            "status" : "current",
            "linkage" : [
                "qosIfDropPreferenceId",
            ],
            "description" :
                """An instance of this class specifies a drop preference for
a drop mechanism on an interface with a particular role
combination.""",
        }, # row
        "qosIfDropPreferenceId" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.2.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "PolicyInstanceId"},
            },
            "access" : "noaccess",
            "description" :
                """An integer index to identify the instance of the policy class.""",
        }, # column
        "qosIfDropRoles" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.2.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "RoleCombination"},
            },
            "access" : "readonly",
            "description" :
                """The combination of roles the interface must have for this
policy instance to apply to that interface.""",
        }, # column
        "qosIfDropPreference" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.2.1.3",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "16"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "16"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The preference to use this drop mechanism.  A higher value
means a higher preference.  If two mechanisms have the same
preference the choice is a local decision.""",
        }, # column
        "qosIfDropDiscipline" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.2.1.4",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "qosIfDropWRED" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "qosIfDropTailDrop" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """An enumerate type for all the known drop mechanisms.""",
        }, # column
        "qosIfDscpAssignmentTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.3",
            "status" : "current",
            "description" :
                """The assignment of each DSCP to a queue and threshold for each
interface queue type.""",
        }, # table
        "qosIfDscpAssignmentEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.3.1",
            "status" : "current",
            "linkage" : [
                "qosIfDscpAssignmentId",
            ],
            "description" :
                """An instance of this class specifies the queue and threshold
set for a packet with a particular DSCP on an interface of
a particular type with a particular role combination.""",
        }, # row
        "qosIfDscpAssignmentId" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.3.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "PolicyInstanceId"},
            },
            "access" : "noaccess",
            "description" :
                """An integer index to identify the instance of the policy class.""",
        }, # column
        "qosIfDscpRoles" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.3.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "RoleCombination"},
            },
            "access" : "readonly",
            "description" :
                """The role combination the interface must be configured with.""",
        }, # column
        "qosIfQueueType" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.3.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "QosInterfaceQueueType"},
            },
            "access" : "readonly",
            "description" :
                """The interface queue type to which this row applies.""",
        }, # column
        "qosIfDscp" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.3.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "Dscp"},
            },
            "access" : "readonly",
            "description" :
                """The DSCP to which this row applies.""",
        }, # column
        "qosIfQueue" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.3.1.5",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "64"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "64"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The queue to which the DSCP applies for the given interface
type.""",
        }, # column
        "qosIfThresholdSet" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.3.1.6",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "8"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "8"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The threshold set of the specified queue to which the DSCP
applies for the given interface type.""",
        }, # column
        "qosIfRedTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.4",
            "status" : "current",
            "description" :
                """A class of lower and upper values for each threshold set in a
queue supporting WRED.  If the size of the queue for a given
threshold is below the lower value then packets assigned to
that threshold are always accepted into the queue.  If the
size of the queue is above upper value then packets are always
dropped.  If the size of the queue is between the lower and
the upper then packets are randomly dropped.""",
        }, # table
        "qosIfRedEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.4.1",
            "status" : "current",
            "linkage" : [
                "qosIfRedId",
            ],
            "description" :
                """An instance of this class specifies threshold limits for a
particular RED threshold of a given threshold set on an
interface and with a particular role combination.""",
        }, # row
        "qosIfRedId" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.4.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "PolicyInstanceId"},
            },
            "access" : "noaccess",
            "description" :
                """An integer index to identify the instance of the policy class.""",
        }, # column
        "qosIfRedRoles" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.4.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "RoleCombination"},
            },
            "access" : "readonly",
            "description" :
                """The role combination the interface must be configured with.""",
        }, # column
        "qosIfRedNumThresholdSets" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.4.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "ThresholdSetRange"},
            },
            "access" : "readonly",
            "description" :
                """The values in this entry apply only to queues with the number
of thresholds specified by this attribute.""",
        }, # column
        "qosIfRedThresholdSet" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.4.1.4",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "8"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "8"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The threshold set to which the lower and upper values apply.
It must be in the range 1 through qosIfRedNumThresholdSets.
There must be exactly one PRI for each value in this range.""",
        }, # column
        "qosIfRedThresholdSetLower" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.4.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "Percent"},
            },
            "access" : "readonly",
            "description" :
                """The threshold value below which no packets are dropped.""",
        }, # column
        "qosIfRedThresholdSetUpper" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.4.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "Percent"},
            },
            "access" : "readonly",
            "description" :
                """The threshold value above which all packets are dropped.""",
        }, # column
        "qosIfTailDropTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.5",
            "status" : "current",
            "description" :
                """A class for threshold sets in a queue supporting tail drop.
If the size of the queue for a given threshold set is at or
below the specified value then packets assigned to that
threshold set are always accepted into the queue.  If the size
of the queue is above the specified value then packets are
always dropped.""",
        }, # table
        "qosIfTailDropEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.5.1",
            "status" : "current",
            "linkage" : [
                "qosIfTailDropId",
            ],
            "description" :
                """An instance of this class specifies the queue depth for a
particular tail-drop threshold set on an interface with a
particular role combination.""",
        }, # row
        "qosIfTailDropId" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.5.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "PolicyInstanceId"},
            },
            "access" : "noaccess",
            "description" :
                """An integer index to identify the instance of the policy class.""",
        }, # column
        "qosIfTailDropRoles" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.5.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "RoleCombination"},
            },
            "access" : "readonly",
            "description" :
                """The role combination the interface must be configured with.""",
        }, # column
        "qosIfTailDropNumThresholdSets" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.5.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "ThresholdSetRange"},
            },
            "access" : "readonly",
            "description" :
                """The value in this entry applies only to queues with the
number of thresholds specified by this attribute.""",
        }, # column
        "qosIfTailDropThresholdSet" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.5.1.4",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "8"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "8"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The threshold set to which the threshold value applies""",
        }, # column
        "qosIfTailDropThresholdSetValue" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.5.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "Percent"},
            },
            "access" : "readonly",
            "description" :
                """The threshold value above which packets are dropped.""",
        }, # column
        "qosIfWeightsTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.6",
            "status" : "current",
            "description" :
                """A class of scheduling weights for each queue of an interface
that supports weighted round robin scheduling or a mix of
priority queueing and weighted round robin.  For a queue with
N priority queues, the N highest queue numbers are the
priority queues with the highest queue number having the
highest priority.  WRR is applied to the non-priority queues.""",
        }, # table
        "qosIfWeightsEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.6.1",
            "status" : "current",
            "linkage" : [
                "qosIfWeightsId",
            ],
            "description" :
                """An instance of this class specifies the scheduling weight for
a particular queue of an interface with a particular number
of queues and with a particular role combination.""",
        }, # row
        "qosIfWeightsId" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.6.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "PolicyInstanceId"},
            },
            "access" : "noaccess",
            "description" :
                """An integer index to identify the instance of the policy class.""",
        }, # column
        "qosIfWeightsRoles" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.6.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "RoleCombination"},
            },
            "access" : "readonly",
            "description" :
                """The role combination the interface must be configured with.""",
        }, # column
        "qosIfWeightsNumQueues" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.6.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "QueueRange"},
            },
            "access" : "readonly",
            "description" :
                """The value of the weight in this instance applies only to
interfaces with the number of queues specified by this
attribute.""",
        }, # column
        "qosIfWeightsQueue" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.6.1.4",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "64"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "64"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The queue to which the weight applies.""",
        }, # column
        "qosIfWeightsDrainSize" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.6.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "description" :
                """The maximum number of bytes that may be drained from the
queue in one cycle.  The percentage of the bandwith allocated
to this queue can be calculated from this attribute and the
sum of the drain sizes of all the non-priority queues of the
interface.""",
        }, # column
        "qosIfWeightsQueueSize" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.8.6.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "description" :
                """The size of the queue in bytes.  Some devices set queue size
in terms of packets.  These devices must calculate the queue
size in packets by assuming an average packet size suitable
for the particular interface.

Some devices have a fixed size buffer to be shared among all
queues.  These devices must allocate a fraction of the
total buffer space to this queue calculated as the the ratio
of the queue size to the sum of the queue sizes for the
interface.""",
        }, # column
    }, # nodes

    "groups" : {
        "qosDevicePibIncarnationTableGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.1.2.1",
            "status" : "current",
            "members" : {
                "qosDevicePdpName" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosDevicePibIncarnation" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosDevicePibTtl" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
            }, # members
            "description" :
                """""",
        }, # group
        "qosDeviceAttributeTableGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.1.2.2",
            "status" : "current",
            "members" : {
                "qosDevicePepDomain" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosDevicePrimaryPdp" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosDeviceSecondaryPdp" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosDeviceMaxMessageSize" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosDeviceCapabilities" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
            }, # members
            "description" :
                """""",
        }, # group
        "qosInterfaceTypeTableGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.1.2.3",
            "status" : "current",
            "members" : {
                "qosInterfaceQueueType" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosInterfaceTypeRoles" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosInterfaceTypeCapabilities" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
            }, # members
            "description" :
                """""",
        }, # group
        "qosDiffServMappingTableGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.1.2.4",
            "status" : "current",
            "members" : {
                "qosMarkedDscp" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosL2Cos" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
            }, # members
            "description" :
                """""",
        }, # group
        "qosCosToDscpTableGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.1.2.5",
            "status" : "current",
            "members" : {
                "qosCosToDscpDscp" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
            }, # members
            "description" :
                """""",
        }, # group
        "qosUnmatchedPolicyTableGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.1.2.6",
            "status" : "current",
            "members" : {
                "qosUnmatchedPolicyRole" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosUnmatchedPolicyDirection" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosUnmatchedPolicyDscp" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosUnmatchedPolicyDscpTrusted" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosUnmatchPolMicroFlowPolicerId" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosUnmatchedPolicyAggregateId" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
            }, # members
            "description" :
                """""",
        }, # group
        "qosPolicerTableGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.1.2.7",
            "status" : "current",
            "members" : {
                "qosPolicerRate" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosPolicerNormalBurst" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosPolicerExcessBurst" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosPolicerAction" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
            }, # members
            "description" :
                """""",
        }, # group
        "qosAggregateTableGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.1.2.8",
            "status" : "current",
            "members" : {
                "qosAggregatePolicerId" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
            }, # members
            "description" :
                """""",
        }, # group
        "qosMacClassificationTableGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.1.2.9",
            "status" : "current",
            "members" : {
                "qosDstMacVlan" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosDstMacAddress" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosDstMacCos" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
            }, # members
            "description" :
                """""",
        }, # group
        "qosIpAceTableGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.1.2.10",
            "status" : "current",
            "members" : {
                "qosIpAceDstAddr" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIpAceDstAddrMask" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIpAceSrcAddr" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIpAceSrcAddrMask" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIpAceDscpMin" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIpAceDscpMax" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIpAceProtocol" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIpAceDstL4PortMin" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIpAceDstL4PortMax" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIpAceSrcL4PortMin" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIpAceSrcL4PortMax" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIpAcePermit" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
            }, # members
            "description" :
                """""",
        }, # group
        "qosIpAclDefinitionTableGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.1.2.11",
            "status" : "current",
            "members" : {
                "qosIpAclId" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIpAceOrder" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIpAclDefAceId" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
            }, # members
            "description" :
                """""",
        }, # group
        "qosIpAclActionTableGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.1.2.12",
            "status" : "current",
            "members" : {
                "qosIpAclActAclId" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIpAclInterfaceRoles" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIpAclInterfaceDirection" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIpAclOrder" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIpAclDscp" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIpAclDscpTrusted" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIpAclMicroFlowPolicerId" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIpAclAggregateId" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
            }, # members
            "description" :
                """""",
        }, # group
        "qosIfSchedulingPreferencesTableGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.1.2.13",
            "status" : "current",
            "members" : {
                "qosIfSchedulingRoles" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIfSchedulingPreference" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIfSchedulingDiscipline" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIfSchedulingQueueType" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
            }, # members
            "description" :
                """""",
        }, # group
        "qosIfDropPreferenceTableGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.1.2.14",
            "status" : "current",
            "members" : {
                "qosIfDropRoles" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIfDropPreference" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIfDropDiscipline" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
            }, # members
            "description" :
                """""",
        }, # group
        "qosIfDscpAssignmentTableGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.1.2.15",
            "status" : "current",
            "members" : {
                "qosIfDscpRoles" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIfQueueType" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIfDscp" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIfQueue" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIfThresholdSet" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
            }, # members
            "description" :
                """""",
        }, # group
        "qosIfRedTableGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.1.2.16",
            "status" : "current",
            "members" : {
                "qosIfRedRoles" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIfRedNumThresholdSets" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIfRedThresholdSet" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIfRedThresholdSetLower" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIfRedThresholdSetUpper" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
            }, # members
            "description" :
                """""",
        }, # group
        "qosIfTailDropTableGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.1.2.17",
            "status" : "current",
            "members" : {
                "qosIfTailDropRoles" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIfTailDropNumThresholdSets" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIfTailDropThresholdSet" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIfTailDropThresholdSetValue" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
            }, # members
            "description" :
                """""",
        }, # group
        "qosIfWeightsTableGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.1.2.18",
            "status" : "current",
            "members" : {
                "qosIfWeightsRoles" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIfWeightsNumQueues" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIfWeightsQueue" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIfWeightsDrainSize" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosIfWeightsQueueSize" : {
                    "nodetype" : "member",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
            }, # members
            "description" :
                """""",
        }, # group
    }, # groups

    "compliances" : {
        "qosPIBCompliance" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-QOS-PIB-MIB",
            "oid" : "1.3.6.1.4.1.9.18.2.1.1.1.1",
            "status" : "current",
            "description" :
                """The compliance statement for the QOS Policy Derived MIB.""",
            "requires" : {
                "qosDevicePibIncarnationTableGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosDeviceAttributeTableGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
                "qosInterfaceTypeTableGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-QOS-PIB-MIB"
                },
            }, # requires
        }, # compliance
    }, # compliances

}
# python version 1.0						DO NOT EDIT
#
# Generated by smidump version 0.4.8:
#
#   smidump -f python CISCO-MEMORY-POOL-MIB

FILENAME = "/home/voldsminde/mvold/src/observium/mibs/CISCO-MEMORY-POOL-MIB"

MIB = {
    "moduleName" : "CISCO-MEMORY-POOL-MIB",

    "CISCO-MEMORY-POOL-MIB" : {
        "nodetype" : "module",
        "language" : "SMIv2",
        "organization" :    
            """Cisco Systems, Inc.""",
        "contact" : 
            """Postal: Cisco Systems, Inc.
170 West Tasman Drive
San Jose, CA 95134-1706
USA

Tel: +1 408 526 4000

E-mail: cs-snmp@cisco.com""",
        "description" :
            """MIB module for monitoring memory pools""",
        "revisions" : (
            {
                "date" : "2001-07-31 00:00",
                "description" :
                    """Added a new table, ciscoMemoryPoolUtilizationTable, which
provides information about memory utilization.""",
            },
            {
                "date" : "1996-02-01 00:00",
                "description" :
                    """Initial version of this MIB module.""",
            },
        ),
        "identity node" : "ciscoMemoryPoolMIB",
    },

    "imports" : (
        {"module" : "SNMPv2-SMI", "name" : "MODULE-IDENTITY"},
        {"module" : "SNMPv2-SMI", "name" : "OBJECT-TYPE"},
        {"module" : "SNMPv2-SMI", "name" : "Integer32"},
        {"module" : "SNMPv2-SMI", "name" : "Gauge32"},
        {"module" : "SNMPv2-TC", "name" : "TEXTUAL-CONVENTION"},
        {"module" : "SNMPv2-TC", "name" : "DisplayString"},
        {"module" : "SNMPv2-TC", "name" : "TruthValue"},
        {"module" : "SNMPv2-CONF", "name" : "MODULE-COMPLIANCE"},
        {"module" : "SNMPv2-CONF", "name" : "OBJECT-GROUP"},
        {"module" : "CISCO-SMI", "name" : "ciscoMgmt"},
        {"module" : "CISCO-QOS-PIB-MIB", "name" : "Percent"},
    ),

    "typedefs" : {
        "CiscoMemoryPoolTypes" : {
            "basetype" : "Integer32",
            "status" : "current",
            "ranges" : [
            {
                "min" : "1",
                "max" : "65535"
            },
            ],
            "range" : {
                "min" : "1",
                "max" : "65535"
            },
            "description" :
                """Represents the different types of memory pools that
may be present in a managed device.  Memory pools can
be roughly categorized into two groups, predefined
pools and dynamic pools.  The following pool types
are currently predefined:
    1:  processor memory
    2:  i/o memory
    3:  pci memory
    4:  fast memory
    5:  multibus memory

Dynamic pools will have a pool type value greater than
any of the predefined types listed above.

Note that only the processor pool is required to be
supported by all devices.  Support for other pool types
is dependent on the device being managed.""",
        },
    }, # typedefs

    "nodes" : {
        "ciscoMemoryPoolMIB" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-MEMORY-POOL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.48",
            "status" : "current",
        }, # node
        "ciscoMemoryPoolObjects" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-MEMORY-POOL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.48.1",
        }, # node
        "ciscoMemoryPoolTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-MEMORY-POOL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.48.1.1",
            "status" : "current",
            "description" :
                """A table of memory pool monitoring entries.""",
        }, # table
        "ciscoMemoryPoolEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-MEMORY-POOL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.48.1.1.1",
            "status" : "current",
            "linkage" : [
                "ciscoMemoryPoolType",
            ],
            "description" :
                """An entry in the memory pool monitoring table.""",
        }, # row
        "ciscoMemoryPoolType" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-MEMORY-POOL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.48.1.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-MEMORY-POOL-MIB", "name" : "CiscoMemoryPoolTypes"},
            },
            "access" : "noaccess",
            "description" :
                """The type of memory pool for which this entry
contains information.""",
        }, # column
        "ciscoMemoryPoolName" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-MEMORY-POOL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.48.1.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "DisplayString"},
            },
            "access" : "readonly",
            "description" :
                """A textual name assigned to the memory pool.  This
object is suitable for output to a human operator,
and may also be used to distinguish among the various
pool types, especially among dynamic pools.""",
        }, # column
        "ciscoMemoryPoolAlternate" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-MEMORY-POOL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.48.1.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """Indicates whether or not this memory pool has an
alternate pool configured.  Alternate pools are
used for fallback when the current pool runs out
of memory.

If an instance of this object has a value of zero,
then this pool does not have an alternate.  Otherwise
the value of this object is the same as the value of
ciscoMemoryPoolType of the alternate pool.""",
        }, # column
        "ciscoMemoryPoolValid" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-MEMORY-POOL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.48.1.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readonly",
            "description" :
                """Indicates whether or not the remaining objects in
this entry contain accurate data.  If an instance
of this object has the value false (which in and of
itself indicates an internal error condition), the
values of the remaining objects in the conceptual row
may contain inaccurate information (specifically, the
reported values may be less than the actual values).""",
        }, # column
        "ciscoMemoryPoolUsed" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-MEMORY-POOL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.48.1.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Gauge32"},
            },
            "access" : "readonly",
            "units" : "bytes",
            "description" :
                """Indicates the number of bytes from the memory pool
that are currently in use by applications on the
managed device.""",
        }, # column
        "ciscoMemoryPoolFree" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-MEMORY-POOL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.48.1.1.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Gauge32"},
            },
            "access" : "readonly",
            "units" : "bytes",
            "description" :
                """Indicates the number of bytes from the memory pool
that are currently unused on the managed device.

Note that the sum of ciscoMemoryPoolUsed and
ciscoMemoryPoolFree is the total amount of memory
in the pool""",
        }, # column
        "ciscoMemoryPoolLargestFree" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-MEMORY-POOL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.48.1.1.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Gauge32"},
            },
            "access" : "readonly",
            "units" : "bytes",
            "description" :
                """Indicates the largest number of contiguous bytes
from the memory pool that are currently unused on
the managed device.""",
        }, # column
        "ciscoMemoryPoolUtilizationTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-MEMORY-POOL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.48.1.2",
            "status" : "current",
            "description" :
                """A table of memory pool utilization entries. Each of the
objects provides a general idea of how much of the memory
pool has been used over a given period of time. It is
determined as a weighted decaying average.""",
        }, # table
        "ciscoMemoryPoolUtilizationEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-MEMORY-POOL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.48.1.2.1",
            "status" : "current",
            "linkage" : [
                { "CISCO-MEMORY-POOL-MIB" : {
                    "indexkind" : "augments",
                    "relatedNode" : "ciscoMemoryPoolEntry",
                }},
            ],
            "description" :
                """An entry in the memory pool utilization table.""",
        }, # row
        "ciscoMemoryPoolUtilization1Min" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-MEMORY-POOL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.48.1.2.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "Percent"},
            },
            "access" : "readonly",
            "description" :
                """This is the memory pool utilization for 1 minute.""",
        }, # column
        "ciscoMemoryPoolUtilization5Min" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-MEMORY-POOL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.48.1.2.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "Percent"},
            },
            "access" : "readonly",
            "description" :
                """This is the memory pool utilization for 5 minutes.""",
        }, # column
        "ciscoMemoryPoolUtilization10Min" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-MEMORY-POOL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.48.1.2.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-QOS-PIB-MIB", "name" : "Percent"},
            },
            "access" : "readonly",
            "description" :
                """This is the memory pool utilization for 10 minutes.""",
        }, # column
        "ciscoMemoryPoolNotifications" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-MEMORY-POOL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.48.2",
        }, # node
        "ciscoMemoryPoolConformance" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-MEMORY-POOL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.48.3",
        }, # node
        "ciscoMemoryPoolCompliances" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-MEMORY-POOL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.48.3.1",
        }, # node
        "ciscoMemoryPoolGroups" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-MEMORY-POOL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.48.3.2",
        }, # node
    }, # nodes

    "groups" : {
        "ciscoMemoryPoolGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-MEMORY-POOL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.48.3.2.1",
            "status" : "current",
            "members" : {
                "ciscoMemoryPoolName" : {
                    "nodetype" : "member",
                    "module" : "CISCO-MEMORY-POOL-MIB"
                },
                "ciscoMemoryPoolAlternate" : {
                    "nodetype" : "member",
                    "module" : "CISCO-MEMORY-POOL-MIB"
                },
                "ciscoMemoryPoolValid" : {
                    "nodetype" : "member",
                    "module" : "CISCO-MEMORY-POOL-MIB"
                },
                "ciscoMemoryPoolUsed" : {
                    "nodetype" : "member",
                    "module" : "CISCO-MEMORY-POOL-MIB"
                },
                "ciscoMemoryPoolFree" : {
                    "nodetype" : "member",
                    "module" : "CISCO-MEMORY-POOL-MIB"
                },
                "ciscoMemoryPoolLargestFree" : {
                    "nodetype" : "member",
                    "module" : "CISCO-MEMORY-POOL-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing memory pool monitoring.""",
        }, # group
        "ciscoMemoryPoolUtilizationGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-MEMORY-POOL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.48.3.2.2",
            "status" : "current",
            "members" : {
                "ciscoMemoryPoolUtilization1Min" : {
                    "nodetype" : "member",
                    "module" : "CISCO-MEMORY-POOL-MIB"
                },
                "ciscoMemoryPoolUtilization5Min" : {
                    "nodetype" : "member",
                    "module" : "CISCO-MEMORY-POOL-MIB"
                },
                "ciscoMemoryPoolUtilization10Min" : {
                    "nodetype" : "member",
                    "module" : "CISCO-MEMORY-POOL-MIB"
                },
            }, # members
            "description" :
                """An optional group providing a collection of memory pool
utilization objects.""",
        }, # group
    }, # groups

    "compliances" : {
        "ciscoMemoryPoolCompliance" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-MEMORY-POOL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.48.3.1.1",
            "status" : "deprecated",
            "description" :
                """The compliance statement for entities which implement
the Cisco Memory Pool MIB""",
            "requires" : {
                "ciscoMemoryPoolGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-MEMORY-POOL-MIB"
                },
            }, # requires
        }, # compliance
        "ciscoMemoryPoolComplianceRev1" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-MEMORY-POOL-MIB",
            "oid" : "1.3.6.1.4.1.9.9.48.3.1.2",
            "status" : "current",
            "description" :
                """The compliance statement for entities which implement
the Cisco Memory Pool MIB""",
            "requires" : {
                "ciscoMemoryPoolGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-MEMORY-POOL-MIB"
                },
                "ciscoMemoryPoolUtilizationGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-MEMORY-POOL-MIB",
                    "description" :
                        """Per memory pool utilization statistics is mandatory for
the managed system that supports memory pool utilization.""",
                },
            }, # requires
        }, # compliance
    }, # compliances

}
