# python version 1.0						DO NOT EDIT
#
# Generated by smidump version 0.4.8:
#
#   smidump -f python CISCO-PROCESS-MIB

FILENAME = "CISCO-PROCESS-MIB.my"

MIB = {
    "moduleName" : "CISCO-PROCESS-MIB",

    "CISCO-PROCESS-MIB" : {
        "nodetype" : "module",
        "language" : "SMIv2",
        "organization" :    
            """Cisco Systems, Inc.""",
        "contact" : 
            """Cisco Systems
Customer Service

Postal: 170 W Tasman Drive
San Jose, CA  95134
USA

Tel: +1 800 553-NETS

E-mail: cs-snmp@cisco.com""",
        "description" :
            """The MIB module to describe active system processes.
Virtual Machine refers to those OS which can run the 
code or process of a different executional model OS.
Virtual Process assume the executional model 
of a OS which is different from Native OS. Virtual
Processes are also referred as Tasks.
Thread is a sequence of instructions to be executed
within a program. Thread which adhere to POSIX standard
is referred as a POSIX thread.""",
        "revisions" : (
            {
                "date" : "2007-03-23 00:00",
                "description" :
                    """Added new objects to support POSIX compliant OS. Added
cpmThread, cpmThreadTable, cpmVirtualProcess, 
cpmVirtualProcessTable and updated cpmCPUTotalTable, 
cpmProcessExtRevTable. Added cProcessMIBComplianceRev2
by deprecating cProcessMIBComplianceRev1. Added 
cpmCPUPosixMemoryGroup, cpmPosixProcessGroup, 
cpmThreadGroup, cpmVirtualProcessGroup.""",
            },
            {
                "date" : "2003-01-22 00:00",
                "description" :
                    """cpmCPUThresholdTable, cpmCPUHistoryTable,
cpmCPUProcessHistoryTable are added for CPU thresholding 
feature.""",
            },
            {
                "date" : "2001-05-18 00:00",
                "description" :
                    """The objects cpmProcExtUtil5Sec, cpmProcExtUtil1Min,
cpmProcExtUtil5Min,cpmCPUTotal5sec, cpmCPUTotal1min 
and cpmCPUTotal5min are deprecated to increase the
value range as 0..100. The table cpmProcessExtTable
is deprecated. The new objects added are 
cpmProcessExtRevTable, cpmProcExtMemAllocatedRev,
cpmProcExtMemFreedRev, cpmProcExtInvokedRev, 
cpmProcExtRuntimeRev, cpmProcExtUtil5SecRev,
cpmProcExtUtil1MinRev, cpmCPUTotal5MinRev, 
cpmCPUTotal5secRev, cpmCPUTotal1minRev and 
cpmCPUTotal5minRev.""",
            },
            {
                "date" : "1998-04-15 00:00",
                "description" :
                    """Initial version of this MIB.""",
            },
        ),
        "identity node" : "ciscoProcessMIB",
    },

    "imports" : (
        {"module" : "SNMPv2-SMI", "name" : "MODULE-IDENTITY"},
        {"module" : "SNMPv2-SMI", "name" : "OBJECT-TYPE"},
        {"module" : "SNMPv2-SMI", "name" : "Counter32"},
        {"module" : "SNMPv2-SMI", "name" : "Gauge32"},
        {"module" : "SNMPv2-SMI", "name" : "Unsigned32"},
        {"module" : "SNMPv2-SMI", "name" : "NOTIFICATION-TYPE"},
        {"module" : "SNMPv2-CONF", "name" : "MODULE-COMPLIANCE"},
        {"module" : "SNMPv2-CONF", "name" : "OBJECT-GROUP"},
        {"module" : "SNMPv2-CONF", "name" : "NOTIFICATION-GROUP"},
        {"module" : "SNMPv2-TC", "name" : "TimeStamp"},
        {"module" : "SNMPv2-TC", "name" : "DisplayString"},
        {"module" : "SNMPv2-TC", "name" : "RowStatus"},
        {"module" : "SNMPv2-TC", "name" : "TruthValue"},
        {"module" : "SNMPv2-TC", "name" : "RowPointer"},
        {"module" : "SNMP-FRAMEWORK-MIB", "name" : "SnmpAdminString"},
        {"module" : "CISCO-TC", "name" : "EntPhysicalIndexOrZero"},
        {"module" : "CISCO-SMI", "name" : "ciscoMgmt"},
    ),

    "nodes" : {
        "ciscoProcessMIB" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109",
            "status" : "current",
        }, # node
        "ciscoProcessMIBObjects" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1",
        }, # node
        "cpmCPU" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.1",
        }, # node
        "cpmCPUTotalTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.1.1",
            "status" : "current",
            "description" :
                """A table of overall CPU statistics.""",
        }, # table
        "cpmCPUTotalEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.1.1.1",
            "status" : "current",
            "linkage" : [
                "cpmCPUTotalIndex",
            ],
            "description" :
                """Overall information about the CPU load. Entries in this
table come and go as CPUs are added and removed from the
system.""",
        }, # row
        "cpmCPUTotalIndex" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.1.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "4294967295"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "4294967295"
                    },
                },
            },
            "access" : "noaccess",
            "description" :
                """An index that uniquely represents a CPU (or group of CPUs)
whose CPU load information is reported by a row in this table.
This index is assigned arbitrarily by the engine
and is not saved over reboots.""",
        }, # column
        "cpmCPUTotalPhysicalIndex" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.1.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-TC", "name" : "EntPhysicalIndexOrZero"},
            },
            "access" : "readonly",
            "description" :
                """The entPhysicalIndex of the physical entity for which
the CPU statistics in this entry are maintained.
The physical entity can be a CPU chip, a group of CPUs,
a CPU card etc. The exact type of this entity is described by
its entPhysicalVendorType value. If the CPU statistics
in this entry correspond to more than one physical entity
(or to no physical entity), or if the entPhysicalTable is
not supported on the SNMP agent, the value of this object
must be zero.""",
        }, # column
        "cpmCPUTotal5sec" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.1.1.1.3",
            "status" : "deprecated",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "parent module" : {
                        "name" : "SNMPv2-SMI",
                        "type" : "Gauge32",
                    },
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "100"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "100"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The overall CPU busy percentage in the last 5 second
period. This object obsoletes the busyPer object from 
the OLD-CISCO-SYSTEM-MIB. This object is deprecated
by cpmCPUTotal5secRev which has the changed range of
value (0..100).""",
        }, # column
        "cpmCPUTotal1min" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.1.1.1.4",
            "status" : "deprecated",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "parent module" : {
                        "name" : "SNMPv2-SMI",
                        "type" : "Gauge32",
                    },
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "100"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "100"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The overall CPU busy percentage in the last 1 minute
period. This object obsoletes the avgBusy1 object from 
the OLD-CISCO-SYSTEM-MIB. This object is deprecated
by cpmCPUTotal1minRev which has the changed range
of value (0..100).""",
        }, # column
        "cpmCPUTotal5min" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.1.1.1.5",
            "status" : "deprecated",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "parent module" : {
                        "name" : "SNMPv2-SMI",
                        "type" : "Gauge32",
                    },
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "100"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "100"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The overall CPU busy percentage in the last 5 minute
period. This object deprecates the avgBusy5 object from 
the OLD-CISCO-SYSTEM-MIB. This object is deprecated
by cpmCPUTotal5minRev which has the changed range 
of value (0..100).""",
        }, # column
        "cpmCPUTotal5secRev" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.1.1.1.6",
            "status" : "deprecated",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "parent module" : {
                        "name" : "SNMPv2-SMI",
                        "type" : "Gauge32",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "100"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "100"
                    },
                },
            },
            "access" : "readonly",
            "units" : "percent",
            "description" :
                """The overall CPU busy percentage in the last 5 second
period. This object deprecates the object cpmCPUTotal5sec 
and increases the value range to (0..100). This object
is deprecated by cpmCPUTotalMonIntervalValue""",
        }, # column
        "cpmCPUTotal1minRev" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.1.1.1.7",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "parent module" : {
                        "name" : "SNMPv2-SMI",
                        "type" : "Gauge32",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "100"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "100"
                    },
                },
            },
            "access" : "readonly",
            "units" : "percent",
            "description" :
                """The overall CPU busy percentage in the last 1 minute
period. This object deprecates the object cpmCPUTotal1min 
and increases the value range to (0..100).""",
        }, # column
        "cpmCPUTotal5minRev" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.1.1.1.8",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "parent module" : {
                        "name" : "SNMPv2-SMI",
                        "type" : "Gauge32",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "100"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "100"
                    },
                },
            },
            "access" : "readonly",
            "units" : "percent",
            "description" :
                """The overall CPU busy percentage in the last 5 minute
period. This object deprecates the object cpmCPUTotal5min 
and increases the value range to (0..100).""",
        }, # column
        "cpmCPUMonInterval" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.1.1.1.9",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "units" : "seconds",
            "description" :
                """CPU usage monitoring interval. The value of this
object in seconds indicates the how often the 
CPU utilization is calculated and monitored.""",
        }, # column
        "cpmCPUTotalMonIntervalValue" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.1.1.1.10",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "parent module" : {
                        "name" : "SNMPv2-SMI",
                        "type" : "Gauge32",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "100"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "100"
                    },
                },
            },
            "access" : "readonly",
            "units" : "percent",
            "description" :
                """The overall CPU busy percentage in the last
cpmCPUMonInterval period. 
This object deprecates the object cpmCPUTotal5secRev.""",
        }, # column
        "cpmCPUInterruptMonIntervalValue" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.1.1.1.11",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "parent module" : {
                        "name" : "SNMPv2-SMI",
                        "type" : "Gauge32",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "100"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "100"
                    },
                },
            },
            "access" : "readonly",
            "units" : "percent",
            "description" :
                """The overall CPU busy percentage in the
interrupt context in the last cpmCPUMonInterval
period.""",
        }, # column
        "cpmCPUMemoryUsed" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.1.1.1.12",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Gauge32"},
            },
            "access" : "readonly",
            "units" : "kilo-bytes",
            "description" :
                """The overall CPU wide system memory which is currently
under use.""",
        }, # column
        "cpmCPUMemoryFree" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.1.1.1.13",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Gauge32"},
            },
            "access" : "readonly",
            "units" : "kilo-bytes",
            "description" :
                """The overall CPU wide system memory which is currently
free.""",
        }, # column
        "cpmCPUMemoryKernelReserved" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.1.1.1.14",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Gauge32"},
            },
            "access" : "readonly",
            "units" : "kilo-bytes",
            "description" :
                """The overall CPU wide system memory which is reserved
for kernel usage.""",
        }, # column
        "cpmCPUMemoryLowest" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.1.1.1.15",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Gauge32"},
            },
            "access" : "readonly",
            "units" : "bytes",
            "description" :
                """The lowest free memory that has been recorded since
device has booted.""",
        }, # column
        "cpmProcess" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2",
        }, # node
        "cpmProcessTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.1",
            "status" : "current",
            "description" :
                """A table of generic information on all active
processes on this device.""",
        }, # table
        "cpmProcessEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.1.1",
            "status" : "current",
            "linkage" : [
                "cpmCPUTotalIndex",
                "cpmProcessPID",
            ],
            "description" :
                """Generic information about an active process on this
device. Entries in this table come and go as processes are 
created and destroyed by the device.""",
        }, # row
        "cpmProcessPID" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "description" :
                """This object contains the process ID. cpmTimeCreated
should be checked against the last time it was polled,
and if it has changed the PID has been reused and the
entire entry should be polled again.""",
        }, # column
        "cpmProcessName" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "parent module" : {
                        "name" : "SNMPv2-TC",
                        "type" : "DisplayString",
                    },
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "32"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "32"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The name associated with this process. If the name is
longer than 32 characters, it will be truncated to the first
31 characters, and a `*' will be appended as the last
character to imply this is a truncated process name.""",
        }, # column
        "cpmProcessuSecs" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.1.1.4",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "units" : "microseconds",
            "description" :
                """Average elapsed CPU time in microseconds when the
process was active. This object is deprecated
by cpmProcessAverageUSecs.""",
        }, # column
        "cpmProcessTimeCreated" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TimeStamp"},
            },
            "access" : "readonly",
            "description" :
                """The time when the process was created. The process ID
and the time when the process was created, uniquely 
identifies a process.""",
        }, # column
        "cpmProcessAverageUSecs" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.1.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "units" : "microseconds",
            "description" :
                """Average elapsed CPU time in microseconds when the
process was active. This object deprecates the
object cpmProcessuSecs.""",
        }, # column
        "cpmProcessExtTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.2",
            "status" : "deprecated",
            "description" :
                """This table contains information that may or may
not be available on all cisco devices. It contains
additional objects for the more general
cpmProcessTable. This object is deprecated by
cpmProcessExtRevTable.""",
        }, # table
        "cpmProcessExtEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.2.1",
            "status" : "deprecated",
            "linkage" : [
                { "CISCO-PROCESS-MIB" : {
                    "indexkind" : "augments",
                    "relatedNode" : "cpmProcessEntry",
                }},
            ],
            "description" :
                """An entry containing additional information for
a particular process. This object is deprecated by
cpmProcessExtRevEntry.""",
        }, # row
        "cpmProcExtMemAllocated" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.2.1.1",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Gauge32"},
            },
            "access" : "readonly",
            "units" : "bytes",
            "description" :
                """The sum of all the dynamically allocated memory that
this process has received from the system. This includes
memory that may have been returned. The sum of freed
memory is provided by cpmProcExtMemFreed. This object
is deprecated by cpmProcExtMemAllocatedRev.""",
        }, # column
        "cpmProcExtMemFreed" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.2.1.2",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Gauge32"},
            },
            "access" : "readonly",
            "units" : "bytes",
            "description" :
                """The sum of all memory that this process has returned
to the system. This object is deprecated by 
cpmProcExtMemFreedRev.""",
        }, # column
        "cpmProcExtInvoked" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.2.1.3",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of times since cpmTimeCreated that
the process has been invoked. This object is
deprecated by cpmProcExtInvokedRev.""",
        }, # column
        "cpmProcExtRuntime" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.2.1.4",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "units" : "microseconds",
            "description" :
                """The amount of CPU time the process has used, in
microseconds. This object is deprecated by
cpmProcExtRuntimeRev.""",
        }, # column
        "cpmProcExtUtil5Sec" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.2.1.5",
            "status" : "deprecated",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "parent module" : {
                        "name" : "SNMPv2-SMI",
                        "type" : "Gauge32",
                    },
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "100"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "100"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """This object provides a general idea of how busy
a process caused the processor to be over a 5 
second period. It is determined as a weighted 
decaying average of the current idle time over 
the longest idle time. Note that this information 
should be used as an estimate only. This object is 
deprecated by cpmProcExtUtil5SecRev which has the 
changed range of value (0..100).""",
        }, # column
        "cpmProcExtUtil1Min" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.2.1.6",
            "status" : "deprecated",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "parent module" : {
                        "name" : "SNMPv2-SMI",
                        "type" : "Gauge32",
                    },
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "100"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "100"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """This object provides a general idea of how busy
a process caused the processor to be over a 1 
minute period. It is determined as a weighted 
decaying average of the current idle time over the 
longest idle time. Note that this information 
should be used as an estimate only. This object is 
deprecated by cpmProcExtUtil1MinRev which has
the changed range of value (0..100).""",
        }, # column
        "cpmProcExtUtil5Min" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.2.1.7",
            "status" : "deprecated",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "parent module" : {
                        "name" : "SNMPv2-SMI",
                        "type" : "Gauge32",
                    },
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "100"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "100"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """This object provides a general idea of how busy
a process caused the processor to be over a 5 
minute period. It is determined as a weighted 
decaying average of the current idle time over 
the longest idle time. Note that this information 
should be used as an estimate only. This object
is deprecated by cpmProcExtUtil5MinRev which
has the changed range of value (0..100).""",
        }, # column
        "cpmProcExtPriority" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.2.1.8",
            "status" : "deprecated",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "critical" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "high" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "normal" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "low" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "notAssigned" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The priority level at which the process is
running. This object is deprecated by
cpmProcExtPriorityRev.""",
        }, # column
        "cpmProcessExtRevTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.3",
            "status" : "current",
            "description" :
                """This table contains information that may or may
not be available on all cisco devices. It contains
additional objects for the more general
cpmProcessTable. This object deprecates 
cpmProcessExtTable.""",
        }, # table
        "cpmProcessExtRevEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.3.1",
            "status" : "current",
            "linkage" : [
                "cpmCPUTotalIndex",
                "cpmProcessPID",
            ],
            "description" :
                """An entry containing additional information for
a particular process. This object deprecates 
cpmProcessExtEntry.""",
        }, # row
        "cpmProcExtMemAllocatedRev" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.3.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Gauge32"},
            },
            "access" : "readonly",
            "units" : "bytes",
            "description" :
                """The sum of all the dynamically allocated memory that
this process has received from the system. This includes
memory that may have been returned. The sum of freed
memory is provided by cpmProcExtMemFreedRev. This object
deprecates cpmProcExtMemAllocated.""",
        }, # column
        "cpmProcExtMemFreedRev" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.3.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Gauge32"},
            },
            "access" : "readonly",
            "units" : "bytes",
            "description" :
                """The sum of all memory that this process has returned
to the system. This object  deprecates 
cpmProcExtMemFreed.""",
        }, # column
        "cpmProcExtInvokedRev" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.3.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of times since cpmTimeCreated that
the process has been invoked. This object 
deprecates cpmProcExtInvoked.""",
        }, # column
        "cpmProcExtRuntimeRev" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.3.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "units" : "microseconds",
            "description" :
                """The amount of CPU time the process has used, in
microseconds. This object deprecates
cpmProcExtRuntime.""",
        }, # column
        "cpmProcExtUtil5SecRev" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.3.1.5",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "parent module" : {
                        "name" : "SNMPv2-SMI",
                        "type" : "Gauge32",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "100"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "100"
                    },
                },
            },
            "access" : "readonly",
            "units" : "percent",
            "description" :
                """This object provides a general idea of how busy
a process caused the processor to be over a 5 
second period. It is determined as a weighted 
decaying average of the current idle time over 
the longest idle time. Note that this information 
should be used as an estimate only. This object
deprecates cpmProcExtUtil5Sec and increases the 
value range to (0..100).""",
        }, # column
        "cpmProcExtUtil1MinRev" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.3.1.6",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "parent module" : {
                        "name" : "SNMPv2-SMI",
                        "type" : "Gauge32",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "100"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "100"
                    },
                },
            },
            "access" : "readonly",
            "units" : "percent",
            "description" :
                """This object provides a general idea of how busy
a process caused the processor to be over a 1 
minute period. It is determined as a weighted 
decaying average of the current idle time over the 
longest idle time. Note that this information 
should be used as an estimate only. This object 
deprecates cpmProcExtUtil1Min and increases the value
range to (0..100).""",
        }, # column
        "cpmProcExtUtil5MinRev" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.3.1.7",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "parent module" : {
                        "name" : "SNMPv2-SMI",
                        "type" : "Gauge32",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "100"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "100"
                    },
                },
            },
            "access" : "readonly",
            "units" : "percent",
            "description" :
                """This object provides a general idea of how busy
a process caused the processor to be over a 5 
minute period. It is determined as a weighted 
decaying average of the current idle time over 
the longest idle time. Note that this information 
should be used as an estimate only. This object
deprecates cpmProcExtUtil5Min and increases the
value range to (0..100).""",
        }, # column
        "cpmProcExtPriorityRev" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.3.1.8",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "critical" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "high" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "normal" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "low" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "notAssigned" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The priority level at  which the process is
running. This object deprecates 
cpmProcExtPriority.""",
        }, # column
        "cpmProcessType" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.3.1.9",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "other" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "posix" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "ios" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """This indicates the kind of process in context.""",
        }, # column
        "cpmProcessRespawn" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.3.1.10",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readonly",
            "description" :
                """This indicates whether respawn of a process is enabled
or not. If enabled the process in context repawns after
it has crashed/stopped.""",
        }, # column
        "cpmProcessRespawnCount" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.3.1.11",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """This indicates the number of times the process has
respawned/restarted.""",
        }, # column
        "cpmProcessRespawnAfterLastPatch" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.3.1.12",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """This indicates the number of times a process has
restarted after the last patch is applied. This is to 
determine the stability of the last patch.""",
        }, # column
        "cpmProcessMemoryCore" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.3.1.13",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "other" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "mainmem" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "mainmemSharedmem" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "mainmemText" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "mainmemTextSharedmem" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                    "sharedmem" : {
                        "nodetype" : "namednumber",
                        "number" : "6"
                    },
                    "sparse" : {
                        "nodetype" : "namednumber",
                        "number" : "7"
                    },
                    "off" : {
                        "nodetype" : "namednumber",
                        "number" : "8"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """This indicates the part of process memory to be
dumped when a process crashes. The process 
memory is used for debugging purposes to trace the 
root cause of the crash.
sparse        - Some operating systems support minimal
                dump of process core like register
                info, partial stack, partial memory
                pages especially for critical process
                to facilitate faster process restart.""",
        }, # column
        "cpmProcessLastRestartUser" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.3.1.14",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMP-FRAMEWORK-MIB", "name" : "SnmpAdminString"},
            },
            "access" : "readonly",
            "description" :
                """This indicate the user that has last restarted the
process or has taken running coredump of the process.""",
        }, # column
        "cpmProcessTextSegmentSize" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.3.1.15",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "units" : "kilo-bytes",
            "description" :
                """This indicates the text memory of a process and all
its shared objects.""",
        }, # column
        "cpmProcessDataSegmentSize" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.3.1.16",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Gauge32"},
            },
            "access" : "readonly",
            "units" : "kilo-bytes",
            "description" :
                """This indicates the data segment of a process and
all its shared objects.""",
        }, # column
        "cpmProcessStackSize" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.3.1.17",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Gauge32"},
            },
            "access" : "readonly",
            "units" : "kilo-bytes",
            "description" :
                """This indicates the amount of stack memory used by the
process.""",
        }, # column
        "cpmProcessDynamicMemorySize" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.3.1.18",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Gauge32"},
            },
            "access" : "readonly",
            "units" : "kilo-bytes",
            "description" :
                """This indicates the amount of dynamic memory being used
by the process.""",
        }, # column
        "cpmCPUThresholdTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.4",
            "status" : "current",
            "description" :
                """This table contains the information about the
thresholding values for CPU , configured by the user.""",
        }, # table
        "cpmCPUThresholdEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.4.1",
            "create" : "true",
            "status" : "current",
            "linkage" : [
                "cpmCPUTotalIndex",
                "cpmCPUThresholdClass",
            ],
            "description" :
                """An entry containing information about
CPU thresholding parameters. cpmCPUTotalIndex
identifies the CPU (or group of CPUs) for which this
configuration applies.""",
        }, # row
        "cpmCPUThresholdClass" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.4.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "total" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "interrupt" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "process" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                },
            },
            "access" : "noaccess",
            "description" :
                """Value of this object indicates the type of
utilization, which is monitored. The total(1) indicates
the total CPU utilization, interrupt(2) indicates the
the CPU utilization in interrupt context and process(3)
indicates the CPU utilization in the process level
execution context.""",
        }, # column
        "cpmCPURisingThresholdValue" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.4.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "100"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "100"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The percentage rising threshold value configured by
the user. The value indicates, 
if the percentage CPU utilization is equal to or above
this value for cpmCPURisingThresholdPeriod duration 
then send a cpmCPURisingThreshold notification to
the NMS.""",
        }, # column
        "cpmCPURisingThresholdPeriod" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.4.1.3",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "ranges" : [
                    {
                        "min" : "5",
                        "max" : "4294967295"
                    },
                    ],
                    "range" : {
                        "min" : "5",
                        "max" : "4294967295"
                    },
                },
            },
            "access" : "readwrite",
            "default" : "5",
            "units" : "seconds",
            "description" :
                """This is an observation interval.
The value of this object indicates that 
the CPU utilization should be above
cpmCPURisingThresholdValue for this duration to send a 
cpmCPURisingThreshold notification to the NMS.""",
        }, # column
        "cpmCPUFallingThresholdValue" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.4.1.4",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "100"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "100"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The percentage falling threshold value configured by
the user. The value indicates, if the percentage 
CPU utilization is equal to or below this value for 
cpmCPUFallingThresholdPeriod duration
then send a cpmCPUFallingThreshold notification 
to the NMS.""",
        }, # column
        "cpmCPUFallingThresholdPeriod" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.4.1.5",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "ranges" : [
                    {
                        "min" : "5",
                        "max" : "4294967295"
                    },
                    ],
                    "range" : {
                        "min" : "5",
                        "max" : "4294967295"
                    },
                },
            },
            "access" : "readwrite",
            "default" : "5",
            "units" : "seconds",
            "description" :
                """This is an observation interval. The value of this
object indicates that CPU utilization should be below
cpmCPUFallingThresholdValue for this duration to send a 
cpmCPURisingThreshold notification to the NMS.""",
        }, # column
        "cpmCPUThresholdEntryStatus" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.4.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "RowStatus"},
            },
            "access" : "readwrite",
            "description" :
                """The status of this table entry.""",
        }, # column
        "cpmCPUHistory" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.5",
        }, # node
        "cpmCPUHistoryThreshold" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.5.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "100"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "100"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The user  configured value of this object gives
the minimum percent CPU utilization of a process
in the last cpmCPUMonInterval duration required to be a 
member of history table. When this object is changed
the new value will have effect in the next interval.""",
        }, # scalar
        "cpmCPUHistorySize" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.5.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "4294967295"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "4294967295"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """A value configured by the user which specifies the
number of reports in the history table. 
A report contains set of processes which crossed
the cpmCPUHistoryThreshold 
in the last cpmCPUMonInterval along with 
the time at which this report is
created, total and interrupt CPU utilizations. 
When this object is changed
the new value will have effect in the next interval.""",
        }, # scalar
        "cpmCPUHistoryTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.5.3",
            "status" : "current",
            "description" :
                """A list of CPU utilization history entries.""",
        }, # table
        "cpmCPUHistoryEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.5.3.1",
            "status" : "current",
            "linkage" : [
                "cpmCPUTotalIndex",
                "cpmCPUHistoryReportId",
            ],
            "description" :
                """A historical sample of CPU utilization statistics.
cpmCPUTotalIndex identifies the CPU (or group of CPUs)
for which this history is collected. 
When the cpmCPUHistorySize is
reached the least recent entry is lost.""",
        }, # row
        "cpmCPUHistoryReportId" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.5.3.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "noaccess",
            "description" :
                """All the entries which are created at the same time
will have same value for this object. When the
configured threshold for being a part of History table
is reached then the qualified processes become the
part of history table. The entries which became the 
part of history table at one instant will have
the same value for this object. When this object
reaches the max index value then it will wrap around.""",
        }, # column
        "cpmCPUHistoryReportSize" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.5.3.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "4294967295"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "4294967295"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The number of process entries in a report.
This object gives information about how many processes 
became a part of history table at one instant.""",
        }, # column
        "cpmCPUHistoryTotalUtil" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.5.3.1.3",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "parent module" : {
                        "name" : "SNMPv2-SMI",
                        "type" : "Gauge32",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "100"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "100"
                    },
                },
            },
            "access" : "readonly",
            "units" : "percent",
            "description" :
                """Total percentage of CPU utilization
at cpmCPUHistoryCreated.""",
        }, # column
        "cpmCPUHistoryInterruptUtil" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.5.3.1.4",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "parent module" : {
                        "name" : "SNMPv2-SMI",
                        "type" : "Gauge32",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "100"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "100"
                    },
                },
            },
            "access" : "readonly",
            "units" : "percent",
            "description" :
                """Percentage of CPU utilization in the interrupt context
at cpmCPUHistoryCreated.""",
        }, # column
        "cpmCPUHistoryCreatedTime" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.5.3.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TimeStamp"},
            },
            "access" : "readonly",
            "description" :
                """Time stamp with respect to sysUpTime indicating
the time at which this report is created.""",
        }, # column
        "cpmCPUProcessHistoryTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.5.4",
            "status" : "current",
            "description" :
                """A list of process history entries. This table contains
CPU utilization of processes which crossed the 
cpmCPUHistoryThreshold.""",
        }, # table
        "cpmCPUProcessHistoryEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.5.4.1",
            "status" : "current",
            "linkage" : [
                "cpmCPUTotalIndex",
                "cpmCPUHistoryReportId",
                "cpmCPUProcessHistoryIndex",
            ],
            "description" :
                """A historical sample of process utilization
statistics. The entries in this table will have
corresponding entires in the cpmCPUHistoryTable.
The entries in this table get deleted when the entry
associated with this entry in the cpmCPUHistoryTable 
gets deleted.""",
        }, # row
        "cpmCPUProcessHistoryIndex" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.5.4.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "4294967295"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "4294967295"
                    },
                },
            },
            "access" : "noaccess",
            "description" :
                """An index that uniquely identifies an entry in
the cmpCPUProcessHistory table among those in the 
same report. This index is between 1 to N, 
where N is the cpmCPUHistoryReportSize.""",
        }, # column
        "cpmCPUHistoryProcId" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.5.4.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "2147483647"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "2147483647"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The process Id associated with this entry.""",
        }, # column
        "cpmCPUHistoryProcName" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.5.4.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "DisplayString"},
            },
            "access" : "readonly",
            "description" :
                """The process name associated with this entry.""",
        }, # column
        "cpmCPUHistoryProcCreated" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.5.4.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TimeStamp"},
            },
            "access" : "readonly",
            "description" :
                """The time when the process was created. The process ID
and the time when the process was created, uniquely 
identifies a process.""",
        }, # column
        "cpmCPUHistoryProcUtil" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.2.5.4.1.5",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "parent module" : {
                        "name" : "SNMPv2-SMI",
                        "type" : "Gauge32",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "100"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "100"
                    },
                },
            },
            "access" : "readonly",
            "units" : "percent",
            "description" :
                """The percentage CPU utilization of a process at
cpmCPUHistoryCreatedTime.""",
        }, # column
        "cpmThread" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.3",
        }, # node
        "cpmThreadTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.3.1",
            "status" : "current",
            "description" :
                """This table contains generic information about
POSIX threads in the device.""",
        }, # table
        "cpmThreadEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.3.1.1",
            "status" : "current",
            "linkage" : [
                "cpmCPUTotalIndex",
                "cpmProcessPID",
                "cpmThreadID",
            ],
            "description" :
                """An entry containing the general statistics
of a POSIX thread.""",
        }, # row
        "cpmThreadID" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.3.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "noaccess",
            "description" :
                """This object contains the thread ID. ThreadID is
Unique per process.""",
        }, # column
        "cpmThreadName" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.3.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMP-FRAMEWORK-MIB", "name" : "SnmpAdminString"},
            },
            "access" : "readonly",
            "description" :
                """This object represents the name of the thread.
Thread names need not be unique. Hence statistics 
should be analyzed against thread ID.""",
        }, # column
        "cpmThreadPriority" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.3.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "63"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "63"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """This object indicates the priority of a POSIX thread.
The higher the number, the higher the priority of the 
thread over other threads.""",
        }, # column
        "cpmThreadState" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.3.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "other" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "dead" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "running" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "ready" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "stopped" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                    "send" : {
                        "nodetype" : "namednumber",
                        "number" : "6"
                    },
                    "receive" : {
                        "nodetype" : "namednumber",
                        "number" : "7"
                    },
                    "reply" : {
                        "nodetype" : "namednumber",
                        "number" : "8"
                    },
                    "stack" : {
                        "nodetype" : "namednumber",
                        "number" : "9"
                    },
                    "waitpage" : {
                        "nodetype" : "namednumber",
                        "number" : "10"
                    },
                    "sigsuspend" : {
                        "nodetype" : "namednumber",
                        "number" : "11"
                    },
                    "sigwaitinfo" : {
                        "nodetype" : "namednumber",
                        "number" : "12"
                    },
                    "nanosleep" : {
                        "nodetype" : "namednumber",
                        "number" : "13"
                    },
                    "mutex" : {
                        "nodetype" : "namednumber",
                        "number" : "14"
                    },
                    "condvar" : {
                        "nodetype" : "namednumber",
                        "number" : "15"
                    },
                    "join" : {
                        "nodetype" : "namednumber",
                        "number" : "16"
                    },
                    "intr" : {
                        "nodetype" : "namednumber",
                        "number" : "17"
                    },
                    "sem" : {
                        "nodetype" : "namednumber",
                        "number" : "18"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """This object indicates the current state of a thread.
Running state means that the thread is actively 
consumig CPU. All the other states are just waiting 
states. The valid states are:
other         - Any other state apart from the listed 
                ones.
dead          - Kernel is waiting to release the 
                thread's resources.
running       - Actively running on a CPU.
ready         - Not running on a CPU, but is ready to 
                run (one or more higher or equal 
                priority threads are running).
stopped       - Suspended (SIGSTOP signal).
send          - Waiting for a server to receive 
                a message.
receive       - Waiting for a client to send a message.
reply         - Waiting for a server to reply to a 
                message.
stack         - Waiting for more stack to be allocated.
waitpage      - Waiting for process manager to 
                resolve a fault on a page.
sigsuspend    - Suspended for a signal.
sigwaitinfo   - Waiting for a signal.
nanosleep     - Sleeping for a period of time.
mutex         - Waiting to acquire a mutex
condvar       - Waiting for a condition variable to be 
                signalled.
join          - Waiting for the completion of another 
                thread.
intr          - Waiting for an interrupt.
sem           - Waiting to acquire a semaphore.""",
        }, # column
        "cpmThreadBlockingProcess" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.3.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "RowPointer"},
            },
            "access" : "readonly",
            "description" :
                """This object identifies the process on which the
current thread is blocked on. This points to the 
cpmProcessTable of the process on which the thread 
in context is blocked. This is valid only to threads
which are either in send/reply states. For the 
rest of the threads it is returned as 0.0""",
        }, # column
        "cpmThreadCpuUtilization" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.3.1.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Gauge32"},
            },
            "access" : "readonly",
            "units" : "milliseconds",
            "description" :
                """This object provides a general idea on how busy
the thread in context caused the processor to be.""",
        }, # column
        "cpmThreadStackSize" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.3.1.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Gauge32"},
            },
            "access" : "readonly",
            "units" : "bytes",
            "description" :
                """This object indicates the stack size allocated to
the thread in context.""",
        }, # column
        "cpmVirtualProcess" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.4",
        }, # node
        "cpmVirtualProcessTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.4.1",
            "status" : "current",
            "description" :
                """This table contains information about virtual
processes in a virtual machine.""",
        }, # table
        "cpmVirtualProcessEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.4.1.1",
            "status" : "current",
            "linkage" : [
                "cpmCPUTotalIndex",
                "cpmProcessPID",
                "cpmVirtualProcessID",
            ],
            "description" :
                """An entry containing the general statistics of a
virtual process in a virtual machine.""",
        }, # row
        "cpmVirtualProcessID" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.4.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "noaccess",
            "description" :
                """This object indicates the process ID of a virtual
process. PID is unique only inside one address space.
Virtual process PID should be considered along with 
Parent process cpmProcessPID.""",
        }, # column
        "cpmVirtualProcessName" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.4.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "parent module" : {
                        "name" : "SNMP-FRAMEWORK-MIB",
                        "type" : "SnmpAdminString",
                    },
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "32"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "32"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """This object indicates the name of a virtual process.
If the name is longer than 32 characters, it will be
truncated to the first 31 characters, and a `*' will be
appended as the last character to imply this is a
truncated process name.""",
        }, # column
        "cpmVirtualProcessUtil5Sec" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.4.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "parent module" : {
                        "name" : "SNMPv2-SMI",
                        "type" : "Gauge32",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "100"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "100"
                    },
                },
            },
            "access" : "readonly",
            "units" : "percent",
            "description" :
                """This indicates an estimated CPU utilization by
a virtual process over the last 5 seconds.""",
        }, # column
        "cpmVirtualProcessUtil1Min" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.4.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "parent module" : {
                        "name" : "SNMPv2-SMI",
                        "type" : "Gauge32",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "100"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "100"
                    },
                },
            },
            "access" : "readonly",
            "units" : "percent",
            "description" :
                """This indicates an estimated CPU utilization by
a virtual process over the last one minute.""",
        }, # column
        "cpmVirtualProcessUtil5Min" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.4.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "parent module" : {
                        "name" : "SNMPv2-SMI",
                        "type" : "Gauge32",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "100"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "100"
                    },
                },
            },
            "access" : "readonly",
            "units" : "percent",
            "description" :
                """This indicates an estimated CPU utilization by
a virtual process over the last 5 minutes.""",
        }, # column
        "cpmVirtualProcessMemAllocated" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.4.1.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Gauge32"},
            },
            "access" : "readonly",
            "units" : "bytes",
            "description" :
                """This object indicates the memory allocated by the
virtual process inside the address space of a 
process running on Native OS.""",
        }, # column
        "cpmVirtualProcessMemFreed" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.4.1.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Gauge32"},
            },
            "access" : "readonly",
            "units" : "bytes",
            "description" :
                """This object indicates the memory freed by the virtual
process inside the address space of a process running 
on Native OS.""",
        }, # column
        "cpmVirtualProcessInvokeCount" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.4.1.1.8",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of times a virtual process is invoked.""",
        }, # column
        "cpmVirtualProcessRuntime" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.1.4.1.1.9",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "units" : "microseconds",
            "description" :
                """The amount of CPU time a virtual process has used in
microseconds.""",
        }, # column
        "ciscoProcessMIBNotifPrefix" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.2",
        }, # node
        "ciscoProcessMIBNotifs" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.2.0",
        }, # node
        "ciscoProcessMIBConformance" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.3",
        }, # node
        "cpmCompliances" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.3.1",
        }, # node
        "cpmGroups" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.3.2",
        }, # node
    }, # nodes

    "notifications" : {
        "cpmCPURisingThreshold" : {
            "nodetype" : "notification",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.2.0.1",
            "status" : "current",
            "objects" : {
                "cpmCPURisingThresholdValue" : {
                    "nodetype" : "object",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmCPUTotalMonIntervalValue" : {
                    "nodetype" : "object",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmCPUInterruptMonIntervalValue" : {
                    "nodetype" : "object",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmProcExtUtil5SecRev" : {
                    "nodetype" : "object",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmProcessTimeCreated" : {
                    "nodetype" : "object",
                    "module" : "CISCO-PROCESS-MIB"
                },
            },
            "description" :
                """A cpmCPURisingThreshold notification is sent
when configured rising CPU utilization threshold
(cpmCPURisingThresholdValue) is reached and
CPU utilization remained above the threshold 
for configured interval(cpmCPURisingThresholdPeriod)
and such a notification is requested. 
The cpmProcExtUtil5SecRev and cpmProcessTimeCreated 
objects can be repeated multiple times
in a notification indicating the top users of CPU.""",
        }, # notification
        "cpmCPUFallingThreshold" : {
            "nodetype" : "notification",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.2.0.2",
            "status" : "current",
            "objects" : {
                "cpmCPUFallingThresholdValue" : {
                    "nodetype" : "object",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmCPUTotalMonIntervalValue" : {
                    "nodetype" : "object",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmCPUInterruptMonIntervalValue" : {
                    "nodetype" : "object",
                    "module" : "CISCO-PROCESS-MIB"
                },
            },
            "description" :
                """A cpmCPUFallingThresholdTrap is sent when the
configured falling threshold
(cpmCPURisingThresholdValue) 
is reached and CPU utilization remained under 
threshold for configured 
interval (cpmCPUFallingThresholdPeriod) 
and such a notification is requested.""",
        }, # notification
    }, # notifications

    "groups" : {
        "cpmCPUTotalGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.3.2.1",
            "status" : "deprecated",
            "members" : {
                "cpmCPUTotalPhysicalIndex" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmCPUTotal5sec" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmCPUTotal1min" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmCPUTotal5min" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing CPU load monitoring
information. This group is mandatory for all cisco devices.
This group is deprecated since the objects cpmCPUTotal5sec,
cpmCPUTotal1min and cpmCPUTotal5min are
deprecated. A new object cpmCPUTotalGroupRev is
added in place of it.""",
        }, # group
        "cpmProcessGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.3.2.2",
            "status" : "deprecated",
            "members" : {
                "cpmProcessPID" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmProcessName" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmProcessuSecs" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmProcessTimeCreated" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing common process
monitoring information. This group is mandatory for 
all cisco devices. This object is deprecated
by cpmProcessGroupRev.""",
        }, # group
        "cpmProcessExtGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.3.2.3",
            "status" : "deprecated",
            "members" : {
                "cpmProcExtMemAllocated" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmProcExtMemFreed" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmProcExtInvoked" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmProcExtRuntime" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmProcExtUtil5Sec" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmProcExtUtil1Min" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmProcExtUtil5Min" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmProcExtPriority" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing additional and
more detailed process monitoring information. This 
group is mandatory for all cisco devices that have 
the internal capability to keep this information. 
This group is deprecated and new group
cpmProcessExtGroupRev is added.""",
        }, # group
        "cpmCPUTotalGroupRev" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.3.2.4",
            "status" : "deprecated",
            "members" : {
                "cpmCPUTotalPhysicalIndex" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmCPUTotal5secRev" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmCPUTotal1minRev" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmCPUTotal5minRev" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing CPU load monitoring
information. This group is mandatory for all cisco
devices. This group deprecates cpmCPUTotalGroup.
This group is deprecated since the object
cpmCPUTotal5secRev is deprecated.
A new object cpmCPUTotalGroupRev1 is
added in place of it.""",
        }, # group
        "cpmProcessExtGroupRev" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.3.2.5",
            "status" : "current",
            "members" : {
                "cpmProcExtMemAllocatedRev" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmProcExtMemFreedRev" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmProcExtInvokedRev" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmProcExtRuntimeRev" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmProcExtUtil5SecRev" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmProcExtUtil1MinRev" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmProcExtUtil5MinRev" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmProcExtPriorityRev" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing additional and
more detailed process monitoring information. This 
group is mandatory for all cisco devices that have 
the internal capability to keep this information.
This group is formed after deprecating cpmProcessExtGroup.
cpmProcExtMemAllocatedRev, cpmProcExtMemFreedRev,
cpmProcExtInvokedRev, cpmProcExtRuntimeRev,
cpmProcExtUtil5SecRev, cpmProcExtUtil1MinRev and 
cpmProcExtUtil5MinRev are the new objects added.""",
        }, # group
        "cpmProcessGroupRev" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.3.2.6",
            "status" : "current",
            "members" : {
                "cpmProcessPID" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmProcessName" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmProcessAverageUSecs" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmProcessTimeCreated" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing common process
monitoring information. This group is mandatory for 
all cisco devices. This object deprecates
cpmProcessGroup.""",
        }, # group
        "cpmCPUTotalGroupRev1" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.3.2.7",
            "status" : "current",
            "members" : {
                "cpmCPUTotalPhysicalIndex" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmCPUTotal1minRev" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmCPUTotal5minRev" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmCPUMonInterval" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmCPUTotalMonIntervalValue" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmCPUInterruptMonIntervalValue" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing CPU load monitoring
information. This group is mandatory for all cisco
devices. This group deprecates cpmCPUTotalGroupRev.""",
        }, # group
        "cpmCPUThresholdGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.3.2.8",
            "status" : "current",
            "members" : {
                "cpmCPURisingThresholdValue" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmCPURisingThresholdPeriod" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmCPUFallingThresholdValue" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmCPUFallingThresholdPeriod" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmCPUThresholdEntryStatus" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
            }, # members
            "description" :
                """A collection of objects used for configuration
of thresholding.""",
        }, # group
        "cpmCPUHistoryGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.3.2.9",
            "status" : "current",
            "members" : {
                "cpmCPUHistorySize" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmCPUHistoryThreshold" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmCPUHistoryTotalUtil" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmCPUHistoryInterruptUtil" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmCPUHistoryCreatedTime" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmCPUHistoryReportSize" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmCPUHistoryProcId" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmCPUHistoryProcName" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmCPUHistoryProcCreated" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmCPUHistoryProcUtil" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing information
about CPU utilization history.""",
        }, # group
        "cpmCPUThresholdNotificationGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.3.2.10",
            "status" : "current",
            "members" : {
                "cpmCPURisingThreshold" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmCPUFallingThreshold" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
            }, # members
            "description" :
                """A group of notifications.""",
        }, # group
        "cpmCPUPosixMemoryGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.3.2.11",
            "status" : "current",
            "members" : {
                "cpmCPUMemoryUsed" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmCPUMemoryFree" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmCPUMemoryKernelReserved" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmCPUMemoryLowest" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
            }, # members
            "description" :
                """A collection of common objects providing
CPU wide System memory information running
POSIX compliant OS.""",
        }, # group
        "cpmPosixProcessGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.3.2.12",
            "status" : "current",
            "members" : {
                "cpmProcessType" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmProcessRespawn" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmProcessRespawnCount" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmProcessRespawnAfterLastPatch" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmProcessMemoryCore" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmProcessLastRestartUser" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmProcessTextSegmentSize" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmProcessDataSegmentSize" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmProcessStackSize" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmProcessDynamicMemorySize" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
            }, # members
            "description" :
                """A collection of common objects providing Process
information on devices running POSIX compliant OS.""",
        }, # group
        "cpmThreadGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.3.2.13",
            "status" : "current",
            "members" : {
                "cpmThreadName" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmThreadPriority" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmThreadState" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmThreadBlockingProcess" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmThreadCpuUtilization" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmThreadStackSize" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing thread information
information on devices running POSIX compliant OS.""",
        }, # group
        "cpmVirtualProcessGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.3.2.14",
            "status" : "current",
            "members" : {
                "cpmVirtualProcessName" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmVirtualProcessUtil5Sec" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmVirtualProcessUtil1Min" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmVirtualProcessUtil5Min" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmVirtualProcessMemAllocated" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmVirtualProcessMemFreed" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmVirtualProcessInvokeCount" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmVirtualProcessRuntime" : {
                    "nodetype" : "member",
                    "module" : "CISCO-PROCESS-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing virtual process
information on devices that can run virtual machines.""",
        }, # group
    }, # groups

    "compliances" : {
        "cProcessMIBCompliance" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.3.1.1",
            "status" : "deprecated",
            "description" :
                """The compliance statement for entities which implement
the Cisco Process MIB. This is deprecated and new 
compliance cProcessMIBComplianceRev is added.""",
            "requires" : {
                "cpmCPUTotalGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmProcessGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmProcessExtGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-PROCESS-MIB",
                    "description" :
                        """The cpmProcessExtGroup is optional for all entities.""",
                },
            }, # requires
            "refinements" : {
                "cpmProcExtPriority" : {
                    "module" : "CISCO-PROCESS-MIB",
                    "access" : "readonly",
                    "description" :
                        """Write access is not required.""",
                },
            }, # refinements

        }, # compliance
        "cProcessMIBComplianceRev" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.3.1.2",
            "status" : "deprecated",
            "description" :
                """The compliance statement for entities which implement
the Cisco Process MIB. This compliance module
deprecates cProcessMIBCompliance.""",
            "requires" : {
                "cpmCPUTotalGroupRev" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmProcessGroupRev" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmProcessExtGroupRev" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-PROCESS-MIB",
                    "description" :
                        """The cpmProcessExtGroupRev is optional for all
entities. This object is defined after deprecating
cpmProcessExtGroup.""",
                },
            }, # requires
        }, # compliance
        "cProcessMIBComplianceRev1" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.3.1.3",
            "status" : "deprecated",
            "description" :
                """The compliance statement for entities which implement
the Cisco Process MIB. This compliance module
deprecates cProcessMIBComplianceRev.""",
            "requires" : {
                "cpmCPUThresholdGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmCPUTotalGroupRev1" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmCPUHistoryGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-PROCESS-MIB",
                    "description" :
                        """The cpmCPUHistoryGroup is optional and gives
the information about process CPU utilization history.""",
                },
                "cpmCPUThresholdNotificationGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-PROCESS-MIB",
                    "description" :
                        """The cpmCPUThresholdNotificationGroup is optional and
these traps indicates that 
configured threshold is reached.""",
                },
            }, # requires
        }, # compliance
        "cProcessMIBComplianceRev2" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-PROCESS-MIB",
            "oid" : "1.3.6.1.4.1.9.9.109.3.1.4",
            "status" : "current",
            "description" :
                """The compliance statement for entities which implement
the Cisco Process MIB. This compliance module
deprecates cProcessMIBComplianceRev1.""",
            "requires" : {
                "cpmCPUTotalGroupRev1" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-PROCESS-MIB"
                },
                "cpmCPUHistoryGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-PROCESS-MIB",
                    "description" :
                        """The cpmCPUHistoryGroup is optional and gives
the information about process CPU utilization history.""",
                },
                "cpmCPUThresholdNotificationGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-PROCESS-MIB",
                    "description" :
                        """The cpmCPUThresholdNotificationGroup is optional and
these traps indicates that configured threshold 
is reached.""",
                },
                "cpmProcessExtGroupRev" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-PROCESS-MIB",
                    "description" :
                        """The cpmProcessExtGroupRev is optional and gives
detailed process monitoring information.""",
                },
                "cpmCPUThresholdGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-PROCESS-MIB",
                    "description" :
                        """The cpmCPUThresholdGroup is optional and provides
information on configuring threshold values.""",
                },
                "cpmProcessGroupRev" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-PROCESS-MIB",
                    "description" :
                        """The cpmProcessGroupRev is optional and provides common
process monitoring information.""",
                },
                "cpmCPUPosixMemoryGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-PROCESS-MIB",
                    "description" :
                        """The cpmCPUPosixMemoryGroup gives information about
CPU wide system memory of POSIX OS.
cpmCPUPosixMemoryGroup is mandatory if the Operating
System of the managed system supports Posix standard
kernel.""",
                },
                "cpmPosixProcessGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-PROCESS-MIB",
                    "description" :
                        """The cpmPosixProcessGroup gives information about
POSIX process. cpmPosixProcessGroup is mandatory if
the Operating System of the managed system
supports Posix standard kernel.""",
                },
                "cpmThreadGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-PROCESS-MIB",
                    "description" :
                        """The cpmThreadGroup gives information about POSIX
threads. cpmThreadGroup is mandatory if the Operating
System of the managed system supports Posix standard
kernel.""",
                },
                "cpmVirtualProcessGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-PROCESS-MIB",
                    "description" :
                        """The cpmVirtualProcessGroup gives information about
virtual process. cpmVirtualProcessGroup is mandatory
Operating System of the managed system supports
Posix standard kernel.""",
                },
            }, # requires
        }, # compliance
    }, # compliances

}
