# python version 1.0						DO NOT EDIT
#
# Generated by smidump version 0.4.8:
#
#   smidump -f python IEEE8023-LAG-MIB

FILENAME = "IEEE8023-LAG-MIB.my"

MIB = {
    "moduleName" : "IEEE8023-LAG-MIB",

    "IEEE8023-LAG-MIB" : {
        "nodetype" : "module",
        "language" : "SMIv2",
        "organization" :    
            """IEEE 802.3 Working Group""",
        "contact" : 
            """ stds-802-3-trunking@majordomo.ieee.org""",
        "description" :
            """The Link Aggregation module for managing IEEE Std
802.3ad.""",
        "revisions" : (
            {
                "date" : "2000-06-27 00:00",
                "description" :
                    """[Revision added by libsmi due to a LAST-UPDATED clause.]""",
            },
        ),
        "identity node" : "lagMIB",
    },

    "imports" : (
        {"module" : "SNMPv2-SMI", "name" : "MODULE-IDENTITY"},
        {"module" : "SNMPv2-SMI", "name" : "OBJECT-TYPE"},
        {"module" : "SNMPv2-SMI", "name" : "Counter32"},
        {"module" : "SNMPv2-SMI", "name" : "TimeTicks"},
        {"module" : "SNMPv2-TC", "name" : "DisplayString"},
        {"module" : "SNMPv2-TC", "name" : "MacAddress"},
        {"module" : "SNMPv2-TC", "name" : "TEXTUAL-CONVENTION"},
        {"module" : "SNMPv2-TC", "name" : "TruthValue"},
        {"module" : "SNMPv2-CONF", "name" : "MODULE-COMPLIANCE"},
        {"module" : "SNMPv2-CONF", "name" : "OBJECT-GROUP"},
        {"module" : "IF-MIB", "name" : "InterfaceIndex"},
        {"module" : "Q-BRIDGE-MIB", "name" : "PortList"},
    ),

    "typedefs" : {
        "LacpKey" : {
            "basetype" : "Integer32",
            "status" : "current",
            "ranges" : [
            {
                "min" : "0",
                "max" : "65535"
            },
            ],
            "range" : {
                "min" : "0",
                "max" : "65535"
            },
            "description" :
                """The Actor or Partner Key value.""",
        },
        "LacpState" : {
            "basetype" : "Bits",
            "status" : "current",
            "lacpActivity" : {
                "nodetype" : "namednumber",
                "number" : "0"
            },
            "lacpTimeout" : {
                "nodetype" : "namednumber",
                "number" : "1"
            },
            "aggregation" : {
                "nodetype" : "namednumber",
                "number" : "2"
            },
            "synchronization" : {
                "nodetype" : "namednumber",
                "number" : "3"
            },
            "collecting" : {
                "nodetype" : "namednumber",
                "number" : "4"
            },
            "distributing" : {
                "nodetype" : "namednumber",
                "number" : "5"
            },
            "defaulted" : {
                "nodetype" : "namednumber",
                "number" : "6"
            },
            "expired" : {
                "nodetype" : "namednumber",
                "number" : "7"
            },
            "description" :
                """The Actor and Partner State values from the LACPDU.""",
        },
        "ChurnState" : {
            "basetype" : "Enumeration",
            "status" : "current",
            "noChurn" : {
                "nodetype" : "namednumber",
                "number" : "1"
            },
            "churn" : {
                "nodetype" : "namednumber",
                "number" : "2"
            },
            "churnMonitor" : {
                "nodetype" : "namednumber",
                "number" : "3"
            },
            "description" :
                """The state of the Churn Detection machine.""",
        },
    }, # typedefs

    "nodes" : {
        "lagMIB" : {
            "nodetype" : "node",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43",
            "status" : "current",
        }, # node
        "lagMIBObjects" : {
            "nodetype" : "node",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1",
        }, # node
        "dot3adAgg" : {
            "nodetype" : "node",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.1",
        }, # node
        "dot3adAggTable" : {
            "nodetype" : "table",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.1.1",
            "status" : "current",
            "description" :
                """A table that contains information about every
Aggregator that is associated with this System.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.1""",
        }, # table
        "dot3adAggEntry" : {
            "nodetype" : "row",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.1.1.1",
            "status" : "current",
            "linkage" : [
                "dot3adAggIndex",
            ],
            "description" :
                """A list of the Aggregator parameters. This is indexed
by the ifIndex of the Aggregator.""",
        }, # row
        "dot3adAggIndex" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.1.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IF-MIB", "name" : "InterfaceIndex"},
            },
            "access" : "noaccess",
            "description" :
                """The unique identifier allocated to this Aggregator by
the local System.  This attribute identifies an
Aggregator instance among the subordinate managed
objects of the containing object.
This value is read-only.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.1.1.1""",
        }, # column
        "dot3adAggMACAddress" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.1.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "MacAddress"},
            },
            "access" : "readonly",
            "description" :
                """A 6-octet read-only value carrying the individual
MAC address assigned to the Aggregator.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.1.1.9""",
        }, # column
        "dot3adAggActorSystemPriority" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.1.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """A 2-octet read-write value indicating the priority
value associated with the Actor's System ID.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.1.1.5""",
        }, # column
        "dot3adAggActorSystemID" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.1.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "MacAddress"},
            },
            "access" : "readonly",
            "description" :
                """A 6-octet read-write MAC address value used as a unique
identifier for the System that contains this Aggregator.
NOTE-From the perspective of the Link Aggregation
mechanisms described in Clause 43, only a single
combination of Actor's System ID and System Priority are
considered, and no distinction is made between the
values of these parameters for an Aggregator and the
port(s) that are associated with it; i.e., the protocol
is described in terms of the operation of aggregation
within a single System. However, the managed objects
provided for the Aggregator and the port both allow
management of these parameters. The result of this is to
permit a single piece of equipment to be configured by
management to contain more than one System from the
point of view of the operation of Link Aggregation. This
may be of particular use in the configuration of
equipment that has limited aggregation capability (see
43.6).""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.1.1.4""",
        }, # column
        "dot3adAggAggregateOrIndividual" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.1.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readonly",
            "description" :
                """A read-only Boolean value indicating whether the
Aggregator represents an Aggregate (`TRUE') or
an Individual link (`FALSE').""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.1.1.6""",
        }, # column
        "dot3adAggActorAdminKey" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.1.1.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IEEE8023-LAG-MIB", "name" : "LacpKey"},
            },
            "access" : "readwrite",
            "description" :
                """The current administrative value of the Key for the
Aggregator. The administrative Key value may differ from
the operational Key value for the reasons discussed in
43.6.2. This is a 16-bit, read-write value. The meaning
of particular Key values is of local significance.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.1.1.7""",
        }, # column
        "dot3adAggActorOperKey" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.1.1.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IEEE8023-LAG-MIB", "name" : "LacpKey"},
            },
            "access" : "readonly",
            "description" :
                """The current operational value of the Key for the
Aggregator. The administrative Key value may differ from
the operational Key value for the reasons discussed in
43.6.2.  This is a 16-bit read-only value. The meaning
of particular Key values is of local significance.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.1.1.8""",
        }, # column
        "dot3adAggPartnerSystemID" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.1.1.1.8",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "MacAddress"},
            },
            "access" : "readonly",
            "description" :
                """A 6-octet read-only MAC address value consisting of the
unique identifier for the current protocol Partner of
this Aggregator. A value of zero indicates that there is
no known Partner. If the aggregation is manually
configured, this System ID value will be a value
assigned by the local System.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.1.1.10""",
        }, # column
        "dot3adAggPartnerSystemPriority" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.1.1.1.9",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """A 2-octet read-only value that indicates the priority
value associated with the Partner's System ID. If the
aggregation is manually configured, this System Priority
value will be a value assigned by the local System.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.1.1.11""",
        }, # column
        "dot3adAggPartnerOperKey" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.1.1.1.10",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IEEE8023-LAG-MIB", "name" : "LacpKey"},
            },
            "access" : "readonly",
            "description" :
                """The current operational value of the Key for the
Aggregator's current protocol Partner. This is a 16-bit
read-only value. If the aggregation is manually
configured, this Key value will be a value assigned by
the local System.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.1.1.12""",
        }, # column
        "dot3adAggCollectorMaxDelay" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.1.1.1.11",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The value of this 16-bit read-write attribute defines
the maximum delay, in tens of microseconds, that may be
imposed by the Frame Collector between receiving a frame
from an Aggregator Parser, and either delivering the
frame to its MAC Client or discarding the frame (see
43.2.3.1.1).""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.1.1.32""",
        }, # column
        "dot3adAggPortListTable" : {
            "nodetype" : "table",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.1.2",
            "status" : "current",
            "description" :
                """A table that contains a list of all the ports
associated with each Aggregator.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.1.1.30""",
        }, # table
        "dot3adAggPortListEntry" : {
            "nodetype" : "row",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.1.2.1",
            "status" : "current",
            "linkage" : [
                "dot3adAggIndex",
            ],
            "description" :
                """A list of the ports associated with a given Aggregator.
This is indexed by the ifIndex of the Aggregator.""",
        }, # row
        "dot3adAggPortListPorts" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.1.2.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"Q-BRIDGE-MIB", "name" : "PortList"},
            },
            "access" : "readonly",
            "description" :
                """The complete set of ports currently associated with
this Aggregator.  Each bit set in this list represents
an Actor Port member of this Link Aggregation.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.1.1.30""",
        }, # column
        "dot3adAggPort" : {
            "nodetype" : "node",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2",
        }, # node
        "dot3adAggPortTable" : {
            "nodetype" : "table",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.1",
            "status" : "current",
            "description" :
                """A table that contains Link Aggregation Control
configuration information about every
Aggregation Port associated with this device.
A row appears in this table for each physical port.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.2""",
        }, # table
        "dot3adAggPortEntry" : {
            "nodetype" : "row",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.1.1",
            "status" : "current",
            "linkage" : [
                "dot3adAggPortIndex",
            ],
            "description" :
                """A list of Link Aggregation Control configuration
parameters for each Aggregation Port on this device.""",
        }, # row
        "dot3adAggPortIndex" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IF-MIB", "name" : "InterfaceIndex"},
            },
            "access" : "noaccess",
            "description" :
                """The ifIndex of the port""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.2.1.1""",
        }, # column
        "dot3adAggPortActorSystemPriority" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """A 2-octet read-write value used to define the priority
value associated with the Actor's System ID.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.2.1.2""",
        }, # column
        "dot3adAggPortActorSystemID" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "MacAddress"},
            },
            "access" : "readonly",
            "description" :
                """A 6-octet read-only MAC address value that defines the
value of the System ID for the System that contains this
Aggregation Port.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.2.1.3""",
        }, # column
        "dot3adAggPortActorAdminKey" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IEEE8023-LAG-MIB", "name" : "LacpKey"},
            },
            "access" : "readwrite",
            "description" :
                """The current administrative value of the Key for the
Aggregation Port. This is a 16-bit read-write value.
The meaning of particular Key values is of local
significance.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.2.1.4""",
        }, # column
        "dot3adAggPortActorOperKey" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IEEE8023-LAG-MIB", "name" : "LacpKey"},
            },
            "access" : "readwrite",
            "description" :
                """The current operational value of the Key for the
Aggregation Port. This is a 16-bit read-only value.
The meaning of particular Key values is of local
significance.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.2.1.5""",
        }, # column
        "dot3adAggPortPartnerAdminSystemPriority" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.1.1.6",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """A 2-octet read-write value used to define the
administrative value of priority associated with the
Partner's System ID. The assigned value is used, along
with the value of aAggPortPartnerAdminSystemID,
aAggPortPartnerAdminKey, aAggPortPartnerAdminPort, and
aAggPortPartnerAdminPortPriority, in order to achieve
manually configured aggregation.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.2.1.6""",
        }, # column
        "dot3adAggPortPartnerOperSystemPriority" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.1.1.7",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """A 2-octet read-only value indicating the operational
value of priority associated with the Partner's System
ID. The value of this attribute may contain the manually
configured value carried in
aAggPortPartnerAdminSystemPriority if there is no
protocol Partner.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.2.1.7""",
        }, # column
        "dot3adAggPortPartnerAdminSystemID" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.1.1.8",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "MacAddress"},
            },
            "access" : "readwrite",
            "description" :
                """A 6-octet read-write MACAddress value representing the
administrative value of the Aggregation Port's protocol
Partner's System ID. The assigned value is used, along
with the value of aAggPortPartnerAdminSystemPriority,
aAggPortPartnerAdminKey, aAggPortPartnerAdminPort, and
aAggPortPartnerAdminPortPriority, in order to achieve
manually configured aggregation.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.2.1.8""",
        }, # column
        "dot3adAggPortPartnerOperSystemID" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.1.1.9",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "MacAddress"},
            },
            "access" : "readonly",
            "description" :
                """A 6-octet read-only MACAddress value representing the
current value of the Aggregation Port's protocol
Partner's System ID. A value of zero indicates that
there is no known protocol Partner. The value of this
attribute may contain the manually configured value
carried in aAggPortPartnerAdminSystemID if there is no
protocol Partner.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.2.1.9""",
        }, # column
        "dot3adAggPortPartnerAdminKey" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.1.1.10",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IEEE8023-LAG-MIB", "name" : "LacpKey"},
            },
            "access" : "readwrite",
            "description" :
                """The current administrative value of the Key for the
protocol Partner. This is a 16-bit read-write value.
The assigned value is used, along with the value of
aAggPortPartnerAdminSystemPriority,
aAggPortPartnerAdminSystemID, aAggPortPartnerAdminPort,
and aAggPortPartnerAdminPortPriority, in order to
achieve manually configured aggregation.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.2.1.10""",
        }, # column
        "dot3adAggPortPartnerOperKey" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.1.1.11",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IEEE8023-LAG-MIB", "name" : "LacpKey"},
            },
            "access" : "readonly",
            "description" :
                """The current operational value of the Key for the
protocol Partner. The value of this attribute may
contain the manually configured value carried in
aAggPortPartnerAdminKey if there is no protocol Partner.
This is a 16-bit read-only value.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.2.1.11""",
        }, # column
        "dot3adAggPortSelectedAggID" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.1.1.12",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IF-MIB", "name" : "InterfaceIndex"},
            },
            "access" : "readonly",
            "description" :
                """The identifier value of the Aggregator that this
Aggregation Port has currently selected. Zero indicates
that the Aggregation Port has not selected an
Aggregator, either because it is in the process of
detaching from an Aggregator or because there is no
suitable Aggregator available for it to select.
This value is read-only.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.2.1.12""",
        }, # column
        "dot3adAggPortAttachedAggID" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.1.1.13",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IF-MIB", "name" : "InterfaceIndex"},
            },
            "access" : "readonly",
            "description" :
                """The identifier value of the Aggregator that this
Aggregation Port is currently attached to. Zero
indicates that the Aggregation Port is not currently
attached to an Aggregator.  This value is read-only.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.2.1.13""",
        }, # column
        "dot3adAggPortActorPort" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.1.1.14",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The port number locally assigned to the Aggregation
Port. The port number is communicated in LACPDUs as the
Actor_Port. This value is read-only.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.2.1.14""",
        }, # column
        "dot3adAggPortActorPortPriority" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.1.1.15",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The priority value assigned to this Aggregation Port.
This 16-bit value is read-write.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.2.1.15""",
        }, # column
        "dot3adAggPortPartnerAdminPort" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.1.1.16",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The current administrative value of the port number for
the protocol Partner. This is a 16-bit read-write value.
The assigned value is used, along with the value of
aAggPortPartnerAdminSystemPriority,
aAggPortPartnerAdminSystemID, aAggPortPartnerAdminKey,
and aAggPortPartnerAdminPortPriority, in order to
achieve manually configured aggregation.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.2.1.16""",
        }, # column
        "dot3adAggPortPartnerOperPort" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.1.1.17",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The operational port number assigned to this
Aggregation Port by the Aggregation Port's protocol
Partner. The value of this attribute may contain the
manually configured value carried in
aAggPortPartnerAdminPort if there is no protocol
Partner. This 16-bit value is read-only.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.2.1.17""",
        }, # column
        "dot3adAggPortPartnerAdminPortPriority" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.1.1.18",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The current administrative value of the port priority
for the protocol Partner. This is a 16-bit read-write
value. The assigned value is used, along with the value
of aAggPortPartnerAdminSystemPriority,
aAggPortPartnerAdminSystemID, aAggPortPartnerAdminKey,
and aAggPortPartnerAdminPort, in order to achieve
manually configured aggregation.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.2.1.18""",
        }, # column
        "dot3adAggPortPartnerOperPortPriority" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.1.1.19",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The priority value assigned to this Aggregation Port by
the Partner. The value of this attribute may contain the
manually configured value carried in
aAggPortPartnerAdminPortPriority if there is no protocol
Partner. This 16-bit value is read-only.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.2.1.19""",
        }, # column
        "dot3adAggPortActorAdminState" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.1.1.20",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IEEE8023-LAG-MIB", "name" : "LacpState"},
            },
            "access" : "readwrite",
            "description" :
                """A string of 8 bits, corresponding to the administrative
values of Actor_State (43.4.2) as transmitted by the
Actor in LACPDUs. The first bit corresponds to bit 0 of
Actor_State (LACP_Activity),
the second bit corresponds to bit 1 (LACP_Timeout),
the third bit corresponds to bit 2 (Aggregation),
the fourth bit corresponds to bit 3 (Synchronization),
the fifth bit corresponds to bit 4 (Collecting),
the sixth bit corresponds to bit 5 (Distributing),
the seventh bit corresponds to bit 6 (Defaulted),
and the eighth bit corresponds to bit 7 (Expired).
These values allow administrative control over the
values of LACP_Activity, LACP_Timeout and Aggregation.
This attribute value is read-write.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.2.1.20""",
        }, # column
        "dot3adAggPortActorOperState" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.1.1.21",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IEEE8023-LAG-MIB", "name" : "LacpState"},
            },
            "access" : "readonly",
            "description" :
                """A string of 8 bits, corresponding to the current
operational values of Actor_State as transmitted by the
Actor in LACPDUs. The bit allocations are as defined in
30.7.2.1.20. This attribute value is read-only.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.2.1.21""",
        }, # column
        "dot3adAggPortPartnerAdminState" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.1.1.22",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IEEE8023-LAG-MIB", "name" : "LacpState"},
            },
            "access" : "readwrite",
            "description" :
                """A string of 8 bits, corresponding to the current
administrative value of Actor_State for the protocol
Partner. The bit allocations are as defined in
30.7.2.1.20. This attribute value is read-write. The
assigned value is used in order to achieve manually
configured aggregation.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.2.1.22""",
        }, # column
        "dot3adAggPortPartnerOperState" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.1.1.23",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IEEE8023-LAG-MIB", "name" : "LacpState"},
            },
            "access" : "readonly",
            "description" :
                """A string of 8 bits, corresponding to the current values
of Actor_State in the most recently received LACPDU
transmitted by the protocol Partner. The bit allocations
are as defined in 30.7.2.1.20. In the absence of an
active protocol Partner, this value may reflect the
manually configured value aAggPortPartnerAdminState.
This attribute value is read-only.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.2.1.23""",
        }, # column
        "dot3adAggPortAggregateOrIndividual" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.1.1.24",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readonly",
            "description" :
                """A read-only Boolean value indicating whether the
Aggregation Port is able to Aggregate (`TRUE') or is
only able to operate as an Individual link (`FALSE').""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.2.1.24""",
        }, # column
        "dot3adAggPortStatsTable" : {
            "nodetype" : "table",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.2",
            "status" : "current",
            "description" :
                """A table that contains Link Aggregation information
about every port that is associated with this device.
A row appears in this table for each physical port.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.3""",
        }, # table
        "dot3adAggPortStatsEntry" : {
            "nodetype" : "row",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.2.1",
            "status" : "current",
            "linkage" : [
                "dot3adAggPortIndex",
            ],
            "description" :
                """A list of Link Aggregation Control Protocol statistics
for each port on this device.""",
        }, # row
        "dot3adAggPortStatsLACPDUsRx" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.2.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of valid LACPDUs received on this
Aggregation Port. This value is read-only.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.3.1.2""",
        }, # column
        "dot3adAggPortStatsMarkerPDUsRx" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.2.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of valid Marker PDUs received on this
Aggregation Port. This value is read-only.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.3.1.3""",
        }, # column
        "dot3adAggPortStatsMarkerResponsePDUsRx" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.2.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of valid Marker Response PDUs received on
this Aggregation Port. This value is read-only.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.3.1.4""",
        }, # column
        "dot3adAggPortStatsUnknownRx" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.2.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of frames received that either:
- carry the Slow Protocols Ethernet Type value (43B.4),
  but contain an unknown PDU,  or:
- are addressed to the Slow Protocols group MAC
  Address (43B.3), but do not carry the Slow Protocols
  Ethernet Type.
This value is read-only.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.3.1.5""",
        }, # column
        "dot3adAggPortStatsIllegalRx" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.2.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of frames received that carry the Slow
Protocols Ethernet Type value (43B.4), but contain a
badly formed PDU or an illegal value of Protocol Subtype
(43B.4). This value is read-only.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.3.1.6""",
        }, # column
        "dot3adAggPortStatsLACPDUsTx" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.2.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of LACPDUs transmitted on this
Aggregation Port. This value is read-only.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.3.1.7""",
        }, # column
        "dot3adAggPortStatsMarkerPDUsTx" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.2.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of Marker PDUs transmitted on this
Aggregation Port. This value is read-only.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.3.1.8""",
        }, # column
        "dot3adAggPortStatsMarkerResponsePDUsTx" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.2.1.8",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of Marker Response PDUs transmitted
on this Aggregation Port. This value is read-only.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.3.1.9""",
        }, # column
        "dot3adAggPortDebugTable" : {
            "nodetype" : "table",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.3",
            "status" : "current",
            "description" :
                """A table that contains Link Aggregation debug
information about every port that is associated with
this device.  A row appears in this table for each
physical port.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.4""",
        }, # table
        "dot3adAggPortDebugEntry" : {
            "nodetype" : "row",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.3.1",
            "status" : "current",
            "linkage" : [
                "dot3adAggPortIndex",
            ],
            "description" :
                """A list of the debug parameters for a port.""",
        }, # row
        "dot3adAggPortDebugRxState" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.3.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "currentRx" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "expired" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "defaulted" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "initialize" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "lacpDisabled" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                    "portDisabled" : {
                        "nodetype" : "namednumber",
                        "number" : "6"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """This attribute holds the value `currentRx' if the
Receive state machine for the Aggregation Port is in the
CURRENT state, `expired' if the Receive state machine is
in the EXPIRED state, `defaulted' if the Receive state
machine is in the DEFAULTED state, `initialize' if the
Receive state machine is in the INITIALIZE state,
`lacpDisabled' if the Receive state machine is in the
LACP_DISABLED state, or `portDisabled' if the Receive
state machine is in the PORT_DISABLED state.
This value is read-only.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.4.1.2""",
        }, # column
        "dot3adAggPortDebugLastRxTime" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.3.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "TimeTicks"},
            },
            "access" : "readonly",
            "description" :
                """The value of aTimeSinceSystemReset (F.2.1) when
the last LACPDU was received by this Aggregation Port.
This value is read-only.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.4.1.3""",
        }, # column
        "dot3adAggPortDebugMuxState" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.3.1.3",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "detached" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "waiting" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "attached" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "collecting" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "distributing" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                    "collectingDistributing" : {
                        "nodetype" : "namednumber",
                        "number" : "6"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """This attribute holds the value `detached' if the Mux
state machine (43.4.14) for the Aggregation Port is in
the DETACHED state, `waiting' if the Mux state machine
is in the WAITING state, `attached' if the Mux state
machine for the Aggregation Port is in the ATTACHED
state, `collecting' if the Mux state machine for the
Aggregation Port is in the COLLECTING state,
`distributing' if the Mux state machine for the
Aggregation Port is in the DISTRIBUTING state, and
`collectingDistributing' if the Mux state machine for
the Aggregation Port is in the COLLECTING_DISTRIBUTING
state. This value is read-only.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.4.1.4""",
        }, # column
        "dot3adAggPortDebugMuxReason" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.3.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "DisplayString"},
            },
            "access" : "readonly",
            "description" :
                """A human-readable text string indicating the reason
for the most recent change of Mux machine state.
This value is read-only.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.4.1.5""",
        }, # column
        "dot3adAggPortDebugActorChurnState" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.3.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IEEE8023-LAG-MIB", "name" : "ChurnState"},
            },
            "access" : "readonly",
            "description" :
                """The state of the Actor Churn Detection machine
(43.4.17) for the Aggregation Port. A value of `noChurn'
indicates that the state machine is in either the
NO_ACTOR_CHURN or the ACTOR_CHURN_MONITOR state, and
`churn' indicates that the state machine is in the
ACTOR_CHURN state. This value is read-only.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.4.1.6""",
        }, # column
        "dot3adAggPortDebugPartnerChurnState" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.3.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IEEE8023-LAG-MIB", "name" : "ChurnState"},
            },
            "access" : "readonly",
            "description" :
                """The state of the Partner Churn Detection machine
(43.4.17) for the Aggregation Port. A value of `noChurn'
indicates that the state machine is in either the
NO_PARTNER_CHURN or the PARTNER_CHURN_MONITOR state, and
`churn' indicates that the state machine is in the
PARTNER_CHURN state. This value is read-only.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.4.1.7""",
        }, # column
        "dot3adAggPortDebugActorChurnCount" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.3.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """Count of the number of times the Actor Churn state
machine has entered the ACTOR_CHURN state.
This value is read-only.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.4.1.8""",
        }, # column
        "dot3adAggPortDebugPartnerChurnCount" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.3.1.8",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """Count of the number of times the Partner Churn
state machine has entered the PARTNER_CHURN state.
This value is read-only.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.4.1.9""",
        }, # column
        "dot3adAggPortDebugActorSyncTransitionCount" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.3.1.9",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """Count of the number of times the Actor's Mux state
machine (43.4.15) has entered the IN_SYNC state.
This value is read-only.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.4.1.10""",
        }, # column
        "dot3adAggPortDebugPartnerSyncTransitionCount" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.3.1.10",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """Count of the number of times the Partner's Mux
state machine (43.4.15) has entered the IN_SYNC state.
This value is read-only.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.4.1.11""",
        }, # column
        "dot3adAggPortDebugActorChangeCount" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.3.1.11",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """Count of the number of times the Actor's perception of
the LAG ID for this Aggregation Port has changed.
This value is read-only.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.4.1.12""",
        }, # column
        "dot3adAggPortDebugPartnerChangeCount" : {
            "nodetype" : "column",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.2.3.1.12",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """Count of the number of times the Partner's perception
of the LAG ID (see 43.3.6.1) for this Aggregation Port
has changed. This value is read-only.""",
            "reference>" :
                """IEEE 802.3 Subclause 30.7.4.1.13""",
        }, # column
        "dot3adTablesLastChanged" : {
            "nodetype" : "scalar",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "TimeTicks"},
            },
            "access" : "readonly",
            "description" :
                """This object indicates the time of the most recent
change to the dot3adAggTable, dot3adAggPortListTable, or
dot3adAggPortTable.""",
        }, # scalar
        "dot3adAggConformance" : {
            "nodetype" : "node",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.2",
        }, # node
        "dot3adAggGroups" : {
            "nodetype" : "node",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.2.1",
        }, # node
        "dot3adAggCompliances" : {
            "nodetype" : "node",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.2.2",
        }, # node
    }, # nodes

    "groups" : {
        "dot3adAggGroup" : {
            "nodetype" : "group",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.2.1.1",
            "status" : "current",
            "members" : {
                "dot3adAggActorSystemID" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggActorSystemPriority" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggAggregateOrIndividual" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggActorAdminKey" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggMACAddress" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggActorOperKey" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPartnerSystemID" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPartnerSystemPriority" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPartnerOperKey" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggCollectorMaxDelay" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing information about an
aggregation.""",
        }, # group
        "dot3adTablesLastChangedGroup" : {
            "nodetype" : "group",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.2.1.1.6",
            "status" : "current",
            "members" : {
                "dot3adTablesLastChanged" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing information about the
time of changes to the configuration of aggregations and
their ports.""",
        }, # group
        "dot3adAggPortListGroup" : {
            "nodetype" : "group",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.2.1.2",
            "status" : "current",
            "members" : {
                "dot3adAggPortListPorts" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing information about
every port in an aggregation.""",
        }, # group
        "dot3adAggPortGroup" : {
            "nodetype" : "group",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.2.1.3",
            "status" : "current",
            "members" : {
                "dot3adAggPortActorSystemPriority" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortActorSystemID" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortActorAdminKey" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortActorOperKey" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortPartnerAdminSystemPriority" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortPartnerOperSystemPriority" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortPartnerAdminSystemID" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortPartnerOperSystemID" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortPartnerAdminKey" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortPartnerOperKey" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortSelectedAggID" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortAttachedAggID" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortActorPort" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortActorPortPriority" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortPartnerAdminPort" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortPartnerOperPort" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortPartnerAdminPortPriority" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortPartnerOperPortPriority" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortActorAdminState" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortActorOperState" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortPartnerAdminState" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortPartnerOperState" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortAggregateOrIndividual" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing information about
every port in an aggregation.""",
        }, # group
        "dot3adAggPortStatsGroup" : {
            "nodetype" : "group",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.2.1.4",
            "status" : "current",
            "members" : {
                "dot3adAggPortStatsLACPDUsRx" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortStatsMarkerPDUsRx" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortStatsMarkerResponsePDUsRx" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortStatsUnknownRx" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortStatsIllegalRx" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortStatsLACPDUsTx" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortStatsMarkerPDUsTx" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortStatsMarkerResponsePDUsTx" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing information about
every port in an aggregation.""",
        }, # group
        "dot3adAggPortDebugGroup" : {
            "nodetype" : "group",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.2.1.5",
            "status" : "current",
            "members" : {
                "dot3adAggPortDebugRxState" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortDebugLastRxTime" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortDebugMuxState" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortDebugMuxReason" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortDebugActorChurnState" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortDebugPartnerChurnState" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortDebugActorChurnCount" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortDebugPartnerChurnCount" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortDebugActorSyncTransitionCount" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortDebugPartnerSyncTransitionCount" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortDebugActorChangeCount" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortDebugPartnerChangeCount" : {
                    "nodetype" : "member",
                    "module" : "IEEE8023-LAG-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing debug information
about every aggregated port.""",
        }, # group
    }, # groups

    "compliances" : {
        "dot3adAggCompliance" : {
            "nodetype" : "compliance",
            "moduleName" : "IEEE8023-LAG-MIB",
            "oid" : "1.2.840.10006.300.43.2.2.1",
            "status" : "current",
            "description" :
                """The compliance statement for device support of
Link Aggregation.""",
            "requires" : {
                "dot3adAggGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adTablesLastChangedGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "IEEE8023-LAG-MIB"
                },
                "dot3adAggPortListGroup" : {
                    "nodetype" : "optional",
                    "module" : "IEEE8023-LAG-MIB",
                    "description" :
                        """This group is optional.""",
                },
                "dot3adAggPortStatsGroup" : {
                    "nodetype" : "optional",
                    "module" : "IEEE8023-LAG-MIB",
                    "description" :
                        """This group is optional.""",
                },
                "dot3adAggPortDebugGroup" : {
                    "nodetype" : "optional",
                    "module" : "IEEE8023-LAG-MIB",
                    "description" :
                        """This group is optional.""",
                },
            }, # requires
        }, # compliance
    }, # compliances

}
