# python version 1.0						DO NOT EDIT
#
# Generated by smidump version 0.4.8:
#
#   smidump -f python IP-FORWARD-MIB

FILENAME = "/usr/share/mibs/ietf/IP-FORWARD-MIB"

MIB = {
    "moduleName" : "IP-FORWARD-MIB",

    "IP-FORWARD-MIB" : {
        "nodetype" : "module",
        "language" : "SMIv2",
        "organization" :
            """IETF IPv6 Working Group
http://www.ietf.org/html.charters/ipv6-charter.html""",
        "contact" :
            """Editor:
Brian Haberman
Johns Hopkins University - Applied Physics Laboratory
Mailstop 17-S442
11100 Johns Hopkins Road
Laurel MD,  20723-6099  USA

Phone: +1-443-778-1319
Email: brian@innovationslab.net

Send comments to <ipv6@ietf.org>""",
        "description" :
            """The MIB module for the management of CIDR multipath IP
Routes.

Copyright (C) The Internet Society (2006).  This version
of this MIB module is a part of RFC 4292; see the RFC
itself for full legal notices.""",
        "revisions" : (
            {
                "date" : "2006-02-01 00:00",
                "description" :
                    """IPv4/v6 version-independent revision.  Minimal changes
were made to the original RFC 2096 MIB to allow easy
upgrade of existing IPv4 implementations to the
version-independent MIB.  These changes include:

Adding inetCidrRouteDiscards as a replacement for the
deprecated ipRoutingDiscards and ipv6DiscardedRoutes
objects.

Adding a new conformance statement to support the
implementation of the IP Forwarding MIB in a
read-only mode.

The inetCidrRouteTable replaces the IPv4-specific
ipCidrRouteTable, its related objects, and related
conformance statements.

Published as RFC 4292.""",
            },
            {
                "date" : "1996-09-19 00:00",
                "description" :
                    """Revised to support CIDR routes.
Published as RFC 2096.""",
            },
            {
                "date" : "1992-07-02 21:56",
                "description" :
                    """Initial version, published as RFC 1354.""",
            },
        ),
        "identity node" : "ipForward",
    },

    "imports" : (
        {"module" : "SNMPv2-SMI", "name" : "MODULE-IDENTITY"},
        {"module" : "SNMPv2-SMI", "name" : "OBJECT-TYPE"},
        {"module" : "SNMPv2-SMI", "name" : "IpAddress"},
        {"module" : "SNMPv2-SMI", "name" : "Integer32"},
        {"module" : "SNMPv2-SMI", "name" : "Gauge32"},
        {"module" : "SNMPv2-SMI", "name" : "Counter32"},
        {"module" : "SNMPv2-TC", "name" : "RowStatus"},
        {"module" : "SNMPv2-CONF", "name" : "MODULE-COMPLIANCE"},
        {"module" : "SNMPv2-CONF", "name" : "OBJECT-GROUP"},
        {"module" : "IF-MIB", "name" : "InterfaceIndexOrZero"},
        {"module" : "IP-MIB", "name" : "ip"},
        {"module" : "IANA-RTPROTO-MIB", "name" : "IANAipRouteProtocol"},
        {"module" : "INET-ADDRESS-MIB", "name" : "InetAddress"},
        {"module" : "INET-ADDRESS-MIB", "name" : "InetAddressType"},
        {"module" : "INET-ADDRESS-MIB", "name" : "InetAddressPrefixLength"},
        {"module" : "INET-ADDRESS-MIB", "name" : "InetAutonomousSystemNumber"},
    ),

    "nodes" : {
        "ipForward" : {
            "nodetype" : "node",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24",
            "status" : "current",
        }, # node
        "ipForwardNumber" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.1",
            "status" : "obsolete",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Gauge32"},
            },
            "access" : "readonly",
            "description" :
                """The number of current ipForwardTable entries that are
not invalid.""",
        }, # scalar
        "ipForwardTable" : {
            "nodetype" : "table",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.2",
            "status" : "obsolete",
            "description" :
                """This entity's IP Routing table.""",
            "reference>" :
                """RFC 1213 Section 6.6, The IP Group""",
        }, # table
        "ipForwardEntry" : {
            "nodetype" : "row",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.2.1",
            "create" : "true",
            "status" : "obsolete",
            "linkage" : [
                "ipForwardDest",
                "ipForwardProto",
                "ipForwardPolicy",
                "ipForwardNextHop",
            ],
            "description" :
                """A particular route to a particular destination, under a
particular policy.""",
        }, # row
        "ipForwardDest" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.2.1.1",
            "status" : "obsolete",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "IpAddress"},
            },
            "access" : "readonly",
            "description" :
                """The destination IP address of this route.  An entry
with a value of 0.0.0.0 is considered a default route.

This object may not take a Multicast (Class D) address
value.

Any assignment (implicit or otherwise) of an instance
of this object to a value x must be rejected if the
bitwise logical-AND of x with the value of the
corresponding instance of the ipForwardMask object is
not equal to x.""",
        }, # column
        "ipForwardMask" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.2.1.2",
            "status" : "obsolete",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "IpAddress"},
            },
            "access" : "readwrite",
            "default" : "0x00000000",
            "description" :
                """Indicate the mask to be logical-ANDed with the
destination address before being compared to the value
in the ipForwardDest field.  For those systems that do
not support arbitrary subnet masks, an agent constructs
the value of the ipForwardMask by reference to the IP
Address Class.

Any assignment (implicit or otherwise) of an instance
of this object to a value x must be rejected if the
bitwise logical-AND of x with the value of the
corresponding instance of the ipForwardDest object is
not equal to ipForwardDest.""",
        }, # column
        "ipForwardPolicy" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.2.1.3",
            "status" : "obsolete",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "2147483647"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "2147483647"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The general set of conditions that would cause
the selection of one multipath route (set of
next hops for a given destination) is referred
to as 'policy'.

Unless the mechanism indicated by ipForwardProto
specifies otherwise, the policy specifier is
the IP TOS Field.  The encoding of IP TOS is as
specified by the following convention.  Zero
indicates the default path if no more specific
policy applies.

+-----+-----+-----+-----+-----+-----+-----+-----+
|                 |                       |     |
|   PRECEDENCE    |    TYPE OF SERVICE    |  0  |
|                 |                       |     |
+-----+-----+-----+-----+-----+-----+-----+-----+

             IP TOS                IP TOS
   Field     Policy      Field     Policy
   Contents    Code      Contents    Code
   0 0 0 0  ==>   0      0 0 0 1  ==>   2
   0 0 1 0  ==>   4      0 0 1 1  ==>   6
   0 1 0 0  ==>   8      0 1 0 1  ==>  10
   0 1 1 0  ==>  12      0 1 1 1  ==>  14
   1 0 0 0  ==>  16      1 0 0 1  ==>  18
   1 0 1 0  ==>  20      1 0 1 1  ==>  22
   1 1 0 0  ==>  24      1 1 0 1  ==>  26
   1 1 1 0  ==>  28      1 1 1 1  ==>  30

Protocols defining 'policy' otherwise must either
define a set of values that are valid for
this object or must implement an integer-instanced
policy table for which this object's
value acts as an index.""",
        }, # column
        "ipForwardNextHop" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.2.1.4",
            "status" : "obsolete",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "IpAddress"},
            },
            "access" : "readonly",
            "description" :
                """On remote routes, the address of the next system en
route; otherwise, 0.0.0.0.""",
        }, # column
        "ipForwardIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.2.1.5",
            "status" : "obsolete",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readwrite",
            "default" : "0",
            "description" :
                """The ifIndex value that identifies the local interface
through which the next hop of this route should be
reached.""",
        }, # column
        "ipForwardType" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.2.1.6",
            "status" : "obsolete",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "other" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "invalid" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "local" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "remote" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                },
            },
            "access" : "readwrite",
            "default" : "invalid",
            "description" :
                """The type of route.  Note that local(3) refers to a
route for which the next hop is the final destination;
remote(4) refers to a route for which the next hop is
not the final destination.

Setting this object to the value invalid(2) has the
effect of invalidating the corresponding entry in the
ipForwardTable object.  That is, it effectively
disassociates the destination identified with said
entry from the route identified with said entry.  It is
an implementation-specific matter as to whether the
agent removes an invalidated entry from the table.
Accordingly, management stations must be prepared to
receive tabular information from agents that
corresponds to entries not currently in use.  Proper
interpretation of such entries requires examination of
the relevant ipForwardType object.""",
        }, # column
        "ipForwardProto" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.2.1.7",
            "status" : "obsolete",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "other" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "local" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "netmgmt" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "icmp" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "egp" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                    "ggp" : {
                        "nodetype" : "namednumber",
                        "number" : "6"
                    },
                    "hello" : {
                        "nodetype" : "namednumber",
                        "number" : "7"
                    },
                    "rip" : {
                        "nodetype" : "namednumber",
                        "number" : "8"
                    },
                    "is-is" : {
                        "nodetype" : "namednumber",
                        "number" : "9"
                    },
                    "es-is" : {
                        "nodetype" : "namednumber",
                        "number" : "10"
                    },
                    "ciscoIgrp" : {
                        "nodetype" : "namednumber",
                        "number" : "11"
                    },
                    "bbnSpfIgp" : {
                        "nodetype" : "namednumber",
                        "number" : "12"
                    },
                    "ospf" : {
                        "nodetype" : "namednumber",
                        "number" : "13"
                    },
                    "bgp" : {
                        "nodetype" : "namednumber",
                        "number" : "14"
                    },
                    "idpr" : {
                        "nodetype" : "namednumber",
                        "number" : "15"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The routing mechanism via which this route was learned.
Inclusion of values for gateway routing protocols is
not intended to imply that hosts should support those
protocols.""",
        }, # column
        "ipForwardAge" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.2.1.8",
            "status" : "obsolete",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "default" : "0",
            "description" :
                """The number of seconds since this route was last updated
or otherwise determined to be correct.  Note that no
semantics of `too old' can be implied except through
knowledge of the routing protocol by which the route
was learned.""",
        }, # column
        "ipForwardInfo" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.2.1.9",
            "status" : "obsolete",
            "syntax" : {
                "type" : { "module" :"", "name" : "ObjectIdentifier"},
            },
            "access" : "readwrite",
            "description" :
                """A reference to MIB definitions specific to the
particular routing protocol that is responsible for
this route, as determined by the value specified in the
route's ipForwardProto value.  If this information is
not present, its value should be set to the OBJECT
IDENTIFIER { 0 0 }, which is a syntactically valid
object identifier, and any implementation conforming to
ASN.1 and the Basic Encoding Rules must be able to
generate and recognize this value.""",
        }, # column
        "ipForwardNextHopAS" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.2.1.10",
            "status" : "obsolete",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readwrite",
            "default" : "0",
            "description" :
                """The Autonomous System Number of the Next Hop.  When
this is unknown or not relevant to the protocol
indicated by ipForwardProto, zero.""",
        }, # column
        "ipForwardMetric1" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.2.1.11",
            "status" : "obsolete",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readwrite",
            "default" : "-1",
            "description" :
                """The primary routing metric for this route.  The
semantics of this metric are determined by the routing-
protocol specified in the route's ipForwardProto value.
If this metric is not used, its value should be set to
-1.""",
        }, # column
        "ipForwardMetric2" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.2.1.12",
            "status" : "obsolete",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readwrite",
            "default" : "-1",
            "description" :
                """An alternate routing metric for this route.  The
semantics of this metric are determined by the routing-
protocol specified in the route's ipForwardProto value.
If this metric is not used, its value should be set to
-1.""",
        }, # column
        "ipForwardMetric3" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.2.1.13",
            "status" : "obsolete",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readwrite",
            "default" : "-1",
            "description" :
                """An alternate routing metric for this route.  The
semantics of this metric are determined by the routing-
protocol specified in the route's ipForwardProto value.
If this metric is not used, its value should be set to
-1.""",
        }, # column
        "ipForwardMetric4" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.2.1.14",
            "status" : "obsolete",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readwrite",
            "default" : "-1",
            "description" :
                """An alternate routing metric for this route.  The
semantics of this metric are determined by the routing-
protocol specified in the route's ipForwardProto value.
If this metric is not used, its value should be set to
-1.""",
        }, # column
        "ipForwardMetric5" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.2.1.15",
            "status" : "obsolete",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readwrite",
            "default" : "-1",
            "description" :
                """An alternate routing metric for this route.  The
semantics of this metric are determined by the routing-
protocol specified in the route's ipForwardProto value.
If this metric is not used, its value should be set to
-1.""",
        }, # column
        "ipCidrRouteNumber" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.3",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Gauge32"},
            },
            "access" : "readonly",
            "description" :
                """The number of current ipCidrRouteTable entries that are
not invalid.  This object is deprecated in favor of
inetCidrRouteNumber and the inetCidrRouteTable.""",
        }, # scalar
        "ipCidrRouteTable" : {
            "nodetype" : "table",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.4",
            "status" : "deprecated",
            "description" :
                """This entity's IP Routing table.  This table has been
deprecated in favor of the IP version neutral
inetCidrRouteTable.""",
            "reference>" :
                """RFC 1213 Section 6.6, The IP Group""",
        }, # table
        "ipCidrRouteEntry" : {
            "nodetype" : "row",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.4.1",
            "create" : "true",
            "status" : "deprecated",
            "linkage" : [
                "ipCidrRouteDest",
                "ipCidrRouteMask",
                "ipCidrRouteTos",
                "ipCidrRouteNextHop",
            ],
            "description" :
                """A particular route to a particular destination, under a

particular policy.""",
        }, # row
        "ipCidrRouteDest" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.4.1.1",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "IpAddress"},
            },
            "access" : "readonly",
            "description" :
                """The destination IP address of this route.

This object may not take a Multicast (Class D) address
value.

Any assignment (implicit or otherwise) of an instance
of this object to a value x must be rejected if the
bitwise logical-AND of x with the value of the
corresponding instance of the ipCidrRouteMask object is
not equal to x.""",
        }, # column
        "ipCidrRouteMask" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.4.1.2",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "IpAddress"},
            },
            "access" : "readonly",
            "description" :
                """Indicate the mask to be logical-ANDed with the
destination address before being compared to the value
in the ipCidrRouteDest field.  For those systems that
do not support arbitrary subnet masks, an agent
constructs the value of the ipCidrRouteMask by
reference to the IP Address Class.

Any assignment (implicit or otherwise) of an instance
of this object to a value x must be rejected if the
bitwise logical-AND of x with the value of the
corresponding instance of the ipCidrRouteDest object is
not equal to ipCidrRouteDest.""",
        }, # column
        "ipCidrRouteTos" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.4.1.3",
            "status" : "deprecated",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "2147483647"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "2147483647"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The policy specifier is the IP TOS Field.  The encoding
of IP TOS is as specified by the following convention.
Zero indicates the default path if no more specific
policy applies.

+-----+-----+-----+-----+-----+-----+-----+-----+
|                 |                       |     |
|   PRECEDENCE    |    TYPE OF SERVICE    |  0  |
|                 |                       |     |
+-----+-----+-----+-----+-----+-----+-----+-----+

             IP TOS                IP TOS
   Field     Policy      Field     Policy
   Contents    Code      Contents    Code
   0 0 0 0  ==>   0      0 0 0 1  ==>   2
   0 0 1 0  ==>   4      0 0 1 1  ==>   6
   0 1 0 0  ==>   8      0 1 0 1  ==>  10
   0 1 1 0  ==>  12      0 1 1 1  ==>  14
   1 0 0 0  ==>  16      1 0 0 1  ==>  18
   1 0 1 0  ==>  20      1 0 1 1  ==>  22

   1 1 0 0  ==>  24      1 1 0 1  ==>  26
   1 1 1 0  ==>  28      1 1 1 1  ==>  30""",
        }, # column
        "ipCidrRouteNextHop" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.4.1.4",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "IpAddress"},
            },
            "access" : "readonly",
            "description" :
                """On remote routes, the address of the next system en
route; Otherwise, 0.0.0.0.""",
        }, # column
        "ipCidrRouteIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.4.1.5",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readwrite",
            "default" : "0",
            "description" :
                """The ifIndex value that identifies the local interface
through which the next hop of this route should be
reached.""",
        }, # column
        "ipCidrRouteType" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.4.1.6",
            "status" : "deprecated",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "other" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "reject" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "local" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "remote" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The type of route.  Note that local(3) refers to a
route for which the next hop is the final destination;
remote(4) refers to a route for which the next hop is
not the final destination.

Routes that do not result in traffic forwarding or
rejection should not be displayed, even if the
implementation keeps them stored internally.

reject (2) refers to a route that, if matched,
discards the message as unreachable.  This is used in
some protocols as a means of correctly aggregating
routes.""",
        }, # column
        "ipCidrRouteProto" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.4.1.7",
            "status" : "deprecated",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "other" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "local" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "netmgmt" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "icmp" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "egp" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                    "ggp" : {
                        "nodetype" : "namednumber",
                        "number" : "6"
                    },
                    "hello" : {
                        "nodetype" : "namednumber",
                        "number" : "7"
                    },
                    "rip" : {
                        "nodetype" : "namednumber",
                        "number" : "8"
                    },
                    "isIs" : {
                        "nodetype" : "namednumber",
                        "number" : "9"
                    },
                    "esIs" : {
                        "nodetype" : "namednumber",
                        "number" : "10"
                    },
                    "ciscoIgrp" : {
                        "nodetype" : "namednumber",
                        "number" : "11"
                    },
                    "bbnSpfIgp" : {
                        "nodetype" : "namednumber",
                        "number" : "12"
                    },
                    "ospf" : {
                        "nodetype" : "namednumber",
                        "number" : "13"
                    },
                    "bgp" : {
                        "nodetype" : "namednumber",
                        "number" : "14"
                    },
                    "idpr" : {
                        "nodetype" : "namednumber",
                        "number" : "15"
                    },
                    "ciscoEigrp" : {
                        "nodetype" : "namednumber",
                        "number" : "16"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The routing mechanism via which this route was learned.
Inclusion of values for gateway routing protocols is
not intended to imply that hosts should support those
protocols.""",
        }, # column
        "ipCidrRouteAge" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.4.1.8",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "default" : "0",
            "description" :
                """The number of seconds since this route was last updated
or otherwise determined to be correct.  Note that no
semantics of `too old' can be implied, except through
knowledge of the routing protocol by which the route
was learned.""",
        }, # column
        "ipCidrRouteInfo" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.4.1.9",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"", "name" : "ObjectIdentifier"},
            },
            "access" : "readwrite",
            "description" :
                """A reference to MIB definitions specific to the
particular routing protocol that is responsible for
this route, as determined by the value specified in the
route's ipCidrRouteProto value.  If this information is
not present, its value should be set to the OBJECT
IDENTIFIER { 0 0 }, which is a syntactically valid
object identifier, and any implementation conforming to
ASN.1 and the Basic Encoding Rules must be able to
generate and recognize this value.""",
        }, # column
        "ipCidrRouteNextHopAS" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.4.1.10",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readwrite",
            "default" : "0",
            "description" :
                """The Autonomous System Number of the Next Hop.  The
semantics of this object are determined by the routing-
protocol specified in the route's ipCidrRouteProto
value.  When this object is unknown or not relevant, its
value should be set to zero.""",
        }, # column
        "ipCidrRouteMetric1" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.4.1.11",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readwrite",
            "default" : "-1",
            "description" :
                """The primary routing metric for this route.  The
semantics of this metric are determined by the routing-
protocol specified in the route's ipCidrRouteProto
value.  If this metric is not used, its value should be
set to -1.""",
        }, # column
        "ipCidrRouteMetric2" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.4.1.12",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readwrite",
            "default" : "-1",
            "description" :
                """An alternate routing metric for this route.  The
semantics of this metric are determined by the routing-
protocol specified in the route's ipCidrRouteProto
value.  If this metric is not used, its value should be

set to -1.""",
        }, # column
        "ipCidrRouteMetric3" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.4.1.13",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readwrite",
            "default" : "-1",
            "description" :
                """An alternate routing metric for this route.  The
semantics of this metric are determined by the routing-
protocol specified in the route's ipCidrRouteProto
value.  If this metric is not used, its value should be
set to -1.""",
        }, # column
        "ipCidrRouteMetric4" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.4.1.14",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readwrite",
            "default" : "-1",
            "description" :
                """An alternate routing metric for this route.  The
semantics of this metric are determined by the routing-
protocol specified in the route's ipCidrRouteProto
value.  If this metric is not used, its value should be
set to -1.""",
        }, # column
        "ipCidrRouteMetric5" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.4.1.15",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readwrite",
            "default" : "-1",
            "description" :
                """An alternate routing metric for this route.  The
semantics of this metric are determined by the routing-
protocol specified in the route's ipCidrRouteProto
value.  If this metric is not used, its value should be
set to -1.""",
        }, # column
        "ipCidrRouteStatus" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.4.1.16",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "RowStatus"},
            },
            "access" : "readwrite",
            "description" :
                """The row status variable, used according to row
installation and removal conventions.""",
        }, # column
        "ipForwardConformance" : {
            "nodetype" : "node",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.5",
        }, # node
        "ipForwardGroups" : {
            "nodetype" : "node",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.5.1",
        }, # node
        "ipForwardCompliances" : {
            "nodetype" : "node",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.5.2",
        }, # node
        "inetCidrRouteNumber" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Gauge32"},
            },
            "access" : "readonly",
            "description" :
                """The number of current inetCidrRouteTable entries that
are not invalid.""",
        }, # scalar
        "inetCidrRouteTable" : {
            "nodetype" : "table",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.7",
            "status" : "current",
            "description" :
                """This entity's IP Routing table.""",
            "reference>" :
                """RFC 1213 Section 6.6, The IP Group""",
        }, # table
        "inetCidrRouteEntry" : {
            "nodetype" : "row",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.7.1",
            "create" : "true",
            "status" : "current",
            "linkage" : [
                "inetCidrRouteDestType",
                "inetCidrRouteDest",
                "inetCidrRoutePfxLen",
                "inetCidrRoutePolicy",
                "inetCidrRouteNextHopType",
                "inetCidrRouteNextHop",
            ],
            "description" :
                """A particular route to a particular destination, under a
particular policy (as reflected in the
inetCidrRoutePolicy object).

Dynamically created rows will survive an agent reboot.

Implementers need to be aware that if the total number
of elements (octets or sub-identifiers) in
inetCidrRouteDest, inetCidrRoutePolicy, and
inetCidrRouteNextHop exceeds 111, then OIDs of column
instances in this table will have more than 128 sub-
identifiers and cannot be accessed using SNMPv1,
SNMPv2c, or SNMPv3.""",
        }, # row
        "inetCidrRouteDestType" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.7.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetAddressType"},
            },
            "access" : "noaccess",
            "description" :
                """The type of the inetCidrRouteDest address, as defined
in the InetAddress MIB.

Only those address types that may appear in an actual
routing table are allowed as values of this object.""",
            "reference>" :
                """RFC 4001""",
        }, # column
        "inetCidrRouteDest" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.7.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetAddress"},
            },
            "access" : "noaccess",
            "description" :
                """The destination IP address of this route.

The type of this address is determined by the value of
the inetCidrRouteDestType object.

The values for the index objects inetCidrRouteDest and
inetCidrRoutePfxLen must be consistent.  When the value
of inetCidrRouteDest (excluding the zone index, if one
is present) is x, then the bitwise logical-AND
of x with the value of the mask formed from the
corresponding index object inetCidrRoutePfxLen MUST be
equal to x.  If not, then the index pair is not
consistent and an inconsistentName error must be
returned on SET or CREATE requests.""",
        }, # column
        "inetCidrRoutePfxLen" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.7.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetAddressPrefixLength"},
            },
            "access" : "noaccess",
            "description" :
                """Indicates the number of leading one bits that form the
mask to be logical-ANDed with the destination address
before being compared to the value in the

inetCidrRouteDest field.

The values for the index objects inetCidrRouteDest and
inetCidrRoutePfxLen must be consistent.  When the value
of inetCidrRouteDest (excluding the zone index, if one
is present) is x, then the bitwise logical-AND
of x with the value of the mask formed from the
corresponding index object inetCidrRoutePfxLen MUST be
equal to x.  If not, then the index pair is not
consistent and an inconsistentName error must be
returned on SET or CREATE requests.""",
        }, # column
        "inetCidrRoutePolicy" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.7.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "ObjectIdentifier"},
            },
            "access" : "noaccess",
            "description" :
                """This object is an opaque object without any defined
semantics.  Its purpose is to serve as an additional
index that may delineate between multiple entries to
the same destination.  The value { 0 0 } shall be used
as the default value for this object.""",
        }, # column
        "inetCidrRouteNextHopType" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.7.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetAddressType"},
            },
            "access" : "noaccess",
            "description" :
                """The type of the inetCidrRouteNextHop address, as
defined in the InetAddress MIB.

Value should be set to unknown(0) for non-remote
routes.

Only those address types that may appear in an actual
routing table are allowed as values of this object.""",
            "reference>" :
                """RFC 4001""",
        }, # column
        "inetCidrRouteNextHop" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.7.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetAddress"},
            },
            "access" : "noaccess",
            "description" :
                """On remote routes, the address of the next system en

route.  For non-remote routes, a zero length string.

The type of this address is determined by the value of
the inetCidrRouteNextHopType object.""",
        }, # column
        "inetCidrRouteIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.7.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IF-MIB", "name" : "InterfaceIndexOrZero"},
            },
            "access" : "readwrite",
            "description" :
                """The ifIndex value that identifies the local interface
through which the next hop of this route should be
reached.  A value of 0 is valid and represents the
scenario where no interface is specified.""",
        }, # column
        "inetCidrRouteType" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.7.1.8",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "other" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "reject" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "local" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "remote" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "blackhole" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The type of route.  Note that local(3) refers to a
route for which the next hop is the final destination;
remote(4) refers to a route for which the next hop is
not the final destination.

Routes that do not result in traffic forwarding or
rejection should not be displayed, even if the
implementation keeps them stored internally.

reject(2) refers to a route that, if matched, discards
the message as unreachable and returns a notification
(e.g., ICMP error) to the message sender.  This is used
in some protocols as a means of correctly aggregating
routes.

blackhole(5) refers to a route that, if matched,
discards the message silently.""",
        }, # column
        "inetCidrRouteProto" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.7.1.9",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IANA-RTPROTO-MIB", "name" : "IANAipRouteProtocol"},
            },
            "access" : "readonly",
            "description" :
                """The routing mechanism via which this route was learned.
Inclusion of values for gateway routing protocols is
not intended to imply that hosts should support those
protocols.""",
        }, # column
        "inetCidrRouteAge" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.7.1.10",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Gauge32"},
            },
            "access" : "readonly",
            "description" :
                """The number of seconds since this route was last updated
or otherwise determined to be correct.  Note that no
semantics of 'too old' can be implied, except through
knowledge of the routing protocol by which the route
was learned.""",
        }, # column
        "inetCidrRouteNextHopAS" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.7.1.11",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetAutonomousSystemNumber"},
            },
            "access" : "readwrite",
            "default" : "0",
            "description" :
                """The Autonomous System Number of the Next Hop.  The
semantics of this object are determined by the routing-
protocol specified in the route's inetCidrRouteProto
value.  When this object is unknown or not relevant, its
value should be set to zero.""",
        }, # column
        "inetCidrRouteMetric1" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.7.1.12",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readwrite",
            "default" : "-1",
            "description" :
                """The primary routing metric for this route.  The
semantics of this metric are determined by the routing-
protocol specified in the route's inetCidrRouteProto
value.  If this metric is not used, its value should be
set to -1.""",
        }, # column
        "inetCidrRouteMetric2" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.7.1.13",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readwrite",
            "default" : "-1",
            "description" :
                """An alternate routing metric for this route.  The
semantics of this metric are determined by the routing-
protocol specified in the route's inetCidrRouteProto
value.  If this metric is not used, its value should be
set to -1.""",
        }, # column
        "inetCidrRouteMetric3" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.7.1.14",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readwrite",
            "default" : "-1",
            "description" :
                """An alternate routing metric for this route.  The
semantics of this metric are determined by the routing-
protocol specified in the route's inetCidrRouteProto
value.  If this metric is not used, its value should be
set to -1.""",
        }, # column
        "inetCidrRouteMetric4" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.7.1.15",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readwrite",
            "default" : "-1",
            "description" :
                """An alternate routing metric for this route.  The
semantics of this metric are determined by the routing-
protocol specified in the route's inetCidrRouteProto
value.  If this metric is not used, its value should be
set to -1.""",
        }, # column
        "inetCidrRouteMetric5" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.7.1.16",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readwrite",
            "default" : "-1",
            "description" :
                """An alternate routing metric for this route.  The
semantics of this metric are determined by the routing-

protocol specified in the route's inetCidrRouteProto
value.  If this metric is not used, its value should be
set to -1.""",
        }, # column
        "inetCidrRouteStatus" : {
            "nodetype" : "column",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.7.1.17",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "RowStatus"},
            },
            "access" : "readwrite",
            "description" :
                """The row status variable, used according to row
installation and removal conventions.

A row entry cannot be modified when the status is
marked as active(1).""",
        }, # column
        "inetCidrRouteDiscards" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.8",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of valid route entries discarded from the
inetCidrRouteTable.  Discarded route entries do not
appear in the inetCidrRouteTable.  One possible reason
for discarding an entry would be to free-up buffer space
for other route table entries.""",
        }, # scalar
    }, # nodes

    "groups" : {
        "ipForwardMultiPathGroup" : {
            "nodetype" : "group",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.5.1.2",
            "status" : "obsolete",
            "members" : {
                "ipForwardNumber" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "ipForwardDest" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "ipForwardMask" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "ipForwardPolicy" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "ipForwardNextHop" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "ipForwardIfIndex" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "ipForwardType" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "ipForwardProto" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "ipForwardAge" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "ipForwardInfo" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "ipForwardNextHopAS" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "ipForwardMetric1" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "ipForwardMetric2" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "ipForwardMetric3" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "ipForwardMetric4" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "ipForwardMetric5" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
            }, # members
            "description" :
                """IP Multipath Route Table.""",
        }, # group
        "ipForwardCidrRouteGroup" : {
            "nodetype" : "group",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.5.1.3",
            "status" : "deprecated",
            "members" : {
                "ipCidrRouteNumber" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "ipCidrRouteDest" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "ipCidrRouteMask" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "ipCidrRouteTos" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "ipCidrRouteNextHop" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "ipCidrRouteIfIndex" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "ipCidrRouteType" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "ipCidrRouteProto" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "ipCidrRouteAge" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "ipCidrRouteInfo" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "ipCidrRouteNextHopAS" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "ipCidrRouteMetric1" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "ipCidrRouteMetric2" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "ipCidrRouteMetric3" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "ipCidrRouteMetric4" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "ipCidrRouteMetric5" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "ipCidrRouteStatus" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
            }, # members
            "description" :
                """The CIDR Route Table.

This group has been deprecated and replaced with
inetForwardCidrRouteGroup.""",
        }, # group
        "inetForwardCidrRouteGroup" : {
            "nodetype" : "group",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.5.1.4",
            "status" : "current",
            "members" : {
                "inetCidrRouteDiscards" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "inetCidrRouteIfIndex" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "inetCidrRouteType" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "inetCidrRouteProto" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "inetCidrRouteAge" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "inetCidrRouteNextHopAS" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "inetCidrRouteMetric1" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "inetCidrRouteMetric2" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "inetCidrRouteMetric3" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "inetCidrRouteMetric4" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "inetCidrRouteMetric5" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "inetCidrRouteStatus" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
                "inetCidrRouteNumber" : {
                    "nodetype" : "member",
                    "module" : "IP-FORWARD-MIB"
                },
            }, # members
            "description" :
                """The IP version-independent CIDR Route Table.""",
        }, # group
    }, # groups

    "compliances" : {
        "ipForwardCompliance" : {
            "nodetype" : "compliance",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.5.2.1",
            "status" : "deprecated",
            "description" :
                """The compliance statement for SNMPv2 entities that
implement the ipForward MIB.

This compliance statement has been deprecated and
replaced with ipForwardFullCompliance and
ipForwardReadOnlyCompliance.""",
            "requires" : {
                "ipForwardCidrRouteGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "IP-FORWARD-MIB"
                },
            }, # requires
        }, # compliance
        "ipForwardOldCompliance" : {
            "nodetype" : "compliance",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.5.2.2",
            "status" : "obsolete",
            "description" :
                """The compliance statement for SNMP entities that
implement the ipForward MIB.""",
            "requires" : {
                "ipForwardMultiPathGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "IP-FORWARD-MIB"
                },
            }, # requires
        }, # compliance
        "ipForwardFullCompliance" : {
            "nodetype" : "compliance",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.5.2.3",
            "status" : "current",
            "description" :
                """When this MIB is implemented for read-create, the
implementation can claim full compliance.

There are a number of INDEX objects that cannot be
represented in the form of OBJECT clauses in SMIv2,
but for which there are compliance requirements,
expressed in OBJECT clause form in this description:

-- OBJECT      inetCidrRouteDestType
-- SYNTAX      InetAddressType (ipv4(1), ipv6(2),
--                              ipv4z(3), ipv6z(4))
-- DESCRIPTION
--     This MIB requires support for global and
--     non-global ipv4 and ipv6 addresses.

--
-- OBJECT      inetCidrRouteDest
-- SYNTAX      InetAddress (SIZE (4 | 8 | 16 | 20))
-- DESCRIPTION
--     This MIB requires support for global and
--     non-global IPv4 and IPv6 addresses.
--
-- OBJECT      inetCidrRouteNextHopType
-- SYNTAX      InetAddressType (unknown(0), ipv4(1),
--                              ipv6(2), ipv4z(3)
--                              ipv6z(4))
-- DESCRIPTION
--     This MIB requires support for global and
--     non-global ipv4 and ipv6 addresses.
--
-- OBJECT      inetCidrRouteNextHop
-- SYNTAX      InetAddress (SIZE (0 | 4 | 8 | 16 | 20))
-- DESCRIPTION
--     This MIB requires support for global and
--     non-global IPv4 and IPv6 addresses.""",
            "requires" : {
                "inetForwardCidrRouteGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "IP-FORWARD-MIB"
                },
            }, # requires
            "refinements" : {
                "inetCidrRouteStatus" : {
                    "module" : "IP-FORWARD-MIB",
                    "syntax" : {
                        "type" :                         {
                            "basetype" : "Enumeration",
                            "parent module" : {
                                "name" : "SNMPv2-TC",
                                "type" : "RowStatus",
                            },
                            "active" : {
                                "nodetype" : "namednumber",
                                "number" : "1"
                            },
                            "notInService" : {
                                "nodetype" : "namednumber",
                                "number" : "2"
                            },
                        },
                    }, # syntax
                    "writesyntax" : {
                        "type" :                         {
                            "basetype" : "Enumeration",
                            "parent module" : {
                                "name" : "SNMPv2-TC",
                                "type" : "RowStatus",
                            },
                            "active" : {
                                "nodetype" : "namednumber",
                                "number" : "1"
                            },
                            "notInService" : {
                                "nodetype" : "namednumber",
                                "number" : "2"
                            },
                            "createAndGo" : {
                                "nodetype" : "namednumber",
                                "number" : "4"
                            },
                            "destroy" : {
                                "nodetype" : "namednumber",
                                "number" : "6"
                            },
                        },
                    }, # writesyntax
                    "description" :
                        """Support for createAndWait is not required.""",
                },
            }, # refinements

        }, # compliance
        "ipForwardReadOnlyCompliance" : {
            "nodetype" : "compliance",
            "moduleName" : "IP-FORWARD-MIB",
            "oid" : "1.3.6.1.2.1.4.24.5.2.4",
            "status" : "current",
            "description" :
                """When this MIB is implemented without support for read-
create (i.e., in read-only mode), the implementation can
claim read-only compliance.""",
            "requires" : {
                "inetForwardCidrRouteGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "IP-FORWARD-MIB"
                },
            }, # requires
            "refinements" : {
                "inetCidrRouteIfIndex" : {
                    "module" : "IP-FORWARD-MIB",
                    "access" : "readonly",
                    "description" :
                        """Write access is not required.""",
                },
                "inetCidrRouteType" : {
                    "module" : "IP-FORWARD-MIB",
                    "access" : "readonly",
                    "description" :
                        """Write access is not required.""",
                },
                "inetCidrRouteNextHopAS" : {
                    "module" : "IP-FORWARD-MIB",
                    "access" : "readonly",
                    "description" :
                        """Write access is not required.""",
                },
                "inetCidrRouteMetric1" : {
                    "module" : "IP-FORWARD-MIB",
                    "access" : "readonly",
                    "description" :
                        """Write access is not required.""",
                },
                "inetCidrRouteMetric2" : {
                    "module" : "IP-FORWARD-MIB",
                    "access" : "readonly",
                    "description" :
                        """Write access is not required.""",
                },
                "inetCidrRouteMetric3" : {
                    "module" : "IP-FORWARD-MIB",
                    "access" : "readonly",
                    "description" :
                        """Write access is not required.""",
                },
                "inetCidrRouteMetric4" : {
                    "module" : "IP-FORWARD-MIB",
                    "access" : "readonly",
                    "description" :
                        """Write access is not required.""",
                },
                "inetCidrRouteMetric5" : {
                    "module" : "IP-FORWARD-MIB",
                    "access" : "readonly",
                    "description" :
                        """Write access is not required.""",
                },
                "inetCidrRouteStatus" : {
                    "module" : "IP-FORWARD-MIB",
                    "syntax" : {
                        "type" :                         {
                            "basetype" : "Enumeration",
                            "parent module" : {
                                "name" : "SNMPv2-TC",
                                "type" : "RowStatus",
                            },
                            "active" : {
                                "nodetype" : "namednumber",
                                "number" : "1"
                            },
                        },
                    }, # syntax
                    "access" : "readonly",
                    "description" :
                        """Write access is not required.""",
                },
            }, # refinements

        }, # compliance
    }, # compliances

}
